# HTML Parameter Reference

param.xml,v 1.1 2005/08/13 02:18:18 bosborne Exp
Walsh
Norman
1999
2000
2001
Norman Walsh

## Introduction

This is technical reference documentation for the DocBook XSL Stylesheets; it documents (some of) the parameters, templates, and other elements of the stylesheets.

This reference describes each of the HTML Stylesheet parameters. These are the easily customizable parts of the stylesheet. If you want to specify an alternate value for one or more of these parameters, you can do so in a driver stylesheet.

For example, if you want to change the `html.stylesheet` to `reference.css`, you might create a driver stylesheet like this:

    <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                    version='1.0'>

      <xsl:import href="http://docbook.sourceforge.net/release/xsl/snapshot/html/docbook.xsl"/>

      <xsl:param name="html.stylesheet">reference.css</xsl:param>

    </xsl:stylesheet>

Naturally, you have to change the `href` attribute on `<xsl:import>` to point to `docbook.xsl` on your system. (Or `chunk.xsl`, if you're using chunking.)

This is not intended to be user documentation. It is provided for developers writing customization layers for the stylesheets, and for anyone who's interested in how it works.

Although I am trying to be thorough, this documentation is known to be incomplete. Don't forget to read the source, too :-)

## Admonitions

admon.graphics.extension
string

## admon.graphics.extension

Extension for admonition graphics

    <xsl:param name="admon.graphics.extension" select="'.png'"></xsl:param>

### Description

Sets the extension to use on admonition graphics.

admon.graphics.path
string

## admon.graphics.path

Path to admonition graphics

    <xsl:param name="admon.graphics.path">images/</xsl:param>

### Description

Sets the path, probably relative to the directory where the HTML files are created, to the admonition graphics.

admon.graphics
boolean

## admon.graphics

Use graphics in admonitions?

    <xsl:param name="admon.graphics" select="0"></xsl:param>

### Description

If true (non-zero), admonitions are presented in an alternate style that uses a graphic. Default graphics are provided in the distribution.

admon.textlabel
boolean

## admon.textlabel

Use text label in admonitions?

    <xsl:param name="admon.textlabel" select="1"></xsl:param>

### Description

If true (non-zero), admonitions are presented with a generated text label such as Note or Warning in the appropriate language. If zero, such labels are turned off, but any title child of the admonition element are still output. The default value is 1.

admon.style
string

## admon.style

CSS style attributes for admonitions

    <xsl:param name="admon.style">
      <xsl:text>margin-left: 0.5in; margin-right: 0.5in;</xsl:text>
    </xsl:param>

### Description

Specifies the value of the `STYLE` attribute that should be added to admonitions.

## Callouts

callout.defaultcolumn
integer

## callout.defaultcolumn

Indicates what column callouts appear in by default

    <xsl:param name="callout.defaultcolumn" select="'60'"></xsl:param>

### Description

If a callout does not identify a column (for example, if it uses the `linerange` `unit`), it will appear in the default column.

callout.graphics.extension
string

## callout.graphics.extension

Extension for callout graphics

    <xsl:param name="callout.graphics.extension" select="'.png'"></xsl:param>

### Description

Sets the extension to use on callout graphics.

callout.graphics.number.limit
integer

## callout.graphics.number.limit

Number of the largest callout graphic

    <xsl:param name="callout.graphics.number.limit" select="'10'"></xsl:param>

### Description

If `callout.graphics` is non-zero, graphics are used to represent callout numbers. The value of `callout.graphics.number.limit` is the largest number for which a graphic exists. If the callout number exceeds this limit, the default presentation "(nnn)" will always be used.

callout.graphics.path
string

## callout.graphics.path

Path to callout graphics

    <xsl:param name="callout.graphics.path" select="'images/callouts/'"></xsl:param>

### Description

Sets the path, probably relative to the directory where the HTML files are created, to the callout graphics.

callout.graphics
boolean

## callout.graphics

Use graphics for callouts?

    <xsl:param name="callout.graphics" select="'1'"></xsl:param>

### Description

If non-zero, callouts are presented with graphics (e.g., reverse-video circled numbers instead of "(1)", "(2)", etc.). Default graphics are provided in the distribution.

callout.list.table
boolean

## callout.list.table

Present callout lists using a table?

    <xsl:param name="callout.list.table" select="'1'"></xsl:param>

### Description

The default presentation of `CalloutList`s uses an HTML `DL`. Some browsers don't align DLs very well if `callout.graphics` are used. With this option turned on, `CalloutList`s are presented in an HTML `TABLE`, which usually results in better alignment of the callout number with the callout description.

callout.unicode.number.limit
integer

## callout.unicode.number.limit

Number of the largest callout graphic

    <xsl:param name="callout.unicode.number.limit" select="'10'"></xsl:param>

### Description

If `callout.unicode` is non-zero, unicode characters are used to represent callout numbers. The value of `callout.unicode.number.limit` is the largest number for which a unicode character exists. If the callout number exceeds this limit, the default presentation "(nnn)" will always be used.

callout.unicode.start.character
integer

## callout.unicode.start.character

First Unicode character to use, decimal value.

    <xsl:param name="callout.unicode.start.character" select="10102"></xsl:param>

### Description

If `callout.graphics` is zero and `callout.unicode` is non-zero, unicode characters are used to represent callout numbers. The value of `callout.unicode.start.character` is the decimal unicode value used for callout number one. Currently, only 10102 is supported in the stylesheets for this parameter.

callout.unicode
boolean

## callout.unicode

Use Unicode characters rather than images for callouts.

    <xsl:param name="callout.unicode" select="0"></xsl:param>

### Description

The stylesheets can use either an image of the numbers one to ten, or the single Unicode character which represents the numeral, in white on a black background. Use this to select the Unicode character option.

callouts.extension
boolean

## callouts.extension

Enable the callout extension

    <xsl:param name="callouts.extension" select="'1'"></xsl:param>

### Description

The callouts extension processes `areaset` elements in `ProgramListingCO` and other text-based callout elements.

## EBNF

ebnf.table.bgcolor
string

## ebnf.table.bgcolor

Background color for EBNF tables

    <xsl:param name="ebnf.table.bgcolor" select="'#F5DCB3'"></xsl:param>

### Description

Sets the background color for EBNF tables. No `bgcolor` attribute is output if `ebnf.table.bgcolor` is set to the null string. The default value matches the value used in recent online versions of the W3C's XML Spec productions.

ebnf.table.border

## ebnf.table.border

Selects border on EBNF tables

    <xsl:param name="ebnf.table.border" select="1"></xsl:param>

### Description

Selects the border on EBNF tables. If non-zero, the tables have borders, otherwise they don't.

ebnf.assignment
rtf

## ebnf.assignment

The EBNF production assignment operator

    <xsl:param name="ebnf.assignment">
    <tt>::=</tt>
    </xsl:param>

### Description

The `ebnf.assignment` parameter determines what text is used to show assignment in `production`s in `productionset`s.

While `::=` is common, so are several other operators.

ebnf.statement.terminator
rtf

## ebnf.statement.terminator

Punctuation that ends an EBNF statement.

    <xsl:param name="ebnf.statement.terminator"></xsl:param>

### Description

The `ebnf.statement.terminator` parameter determines what text is used to terminate each `production` in `productionset`.

Some notations end each statement with a period.

## ToC/LoT/Index Generation

annotate.toc
boolean

## annotate.toc

Annotate the Table of Contents?

    <xsl:param name="annotate.toc" select="1"></xsl:param>

### Description

If true, TOCs will be annotated. At present, this just means that the `RefPurpose` of `RefEntry` TOC entries will be displayed.

autotoc.label.separator
string

## autotoc.label.separator

Separator between labels and titles in the ToC

    <xsl:param name="autotoc.label.separator" select="'. '"></xsl:param>

### Description

String to use to seperate labels and title in a table of contents.

process.source.toc
boolean

## process.source.toc

FIXME:

    <xsl:param name="process.source.toc" select="0"></xsl:param>

### Description

FIXME:

process.empty.source.toc
boolean

## process.empty.source.toc

FIXME:

    <xsl:param name="process.empty.source.toc" select="0"></xsl:param>

### Description

FIXME:

bridgehead.in.toc
boolean

## bridgehead.in.toc

Should bridgehead elements appear in the TOC?

    <xsl:param name="bridgehead.in.toc" select="0"></xsl:param>

### Description

If non-zero, bridgeheads appear in the TOC. Note that this option is not fully supported and may be removed in a future version of the stylesheets.

manual.toc
string

## manual.toc

An explicit TOC to be used for the TOC

    <xsl:param name="manual.toc" select="''"></xsl:param>

### Description

The `manual.toc` identifies an explicit TOC that will be used for building the printed TOC.

toc.list.type
list
dl
ul
ol

## toc.list.type

Type of HTML list element to use for Tables of Contents

    <xsl:param name="toc.list.type">dl</xsl:param>

### Description

When an automatically generated Table of Contents (or List of Titles) is produced, this HTML element will be used to make the list.

toc.section.depth
integer

## toc.section.depth

How deep should recursive `section`s appear in the TOC?

    <xsl:param name="toc.section.depth">2</xsl:param>

### Description

Specifies the depth to which recursive sections should appear in the TOC.

toc.max.depth
integer

## toc.max.depth

How maximaly deep should be each TOC?

    <xsl:param name="toc.max.depth">8</xsl:param>

### Description

Specifies the maximal depth of TOC on all levels.

generate.toc
table

## generate.toc

Control generation of ToCs and LoTs

    <xsl:param name="generate.toc">
    appendix  toc,title
    article/appendix  nop
    article   toc,title
    book      toc,title,figure,table,example,equation
    chapter   toc,title
    part      toc,title
    preface   toc,title
    qandadiv  toc
    qandaset  toc
    reference toc,title
    sect1     toc
    sect2     toc
    sect3     toc
    sect4     toc
    sect5     toc
    section   toc
    set       toc,title
    </xsl:param>

### Description

This parameter has a structured value. It is a table of space-delimited path/value pairs. Each path identifies some element in the source document using a restricted subset of XPath (only the implicit child axis, no wildcards, no predicates). Paths can be either relative or absolute.

When processing a particular element, the stylesheets consult this table to determine if a ToC (or LoT(s)) should be generated.

For example, consider the entry:

    book toc,figure

This indicates that whenever a `book` is formatted, a Table Of Contents and a List of Figures should be generated. Similarly,

    /chapter toc

indicates that whenever a document that has a root of `chapter` is formatted, a Table of Contents should be generated. The entry `chapter` would match all chapters, but `/chapter` matches only `chapter` document elements.

Generally, the longest match wins. So, for example, if you want to distinguish articles in books from articles in parts, you could use these two entries:

    book/article toc,figure
    part/article toc

Note that an article in a part can never match a `book/article`, so if you want nothing to be generated for articles in parts, you can simply leave that rule out.

If you want to leave the rule in, to make it explicit that you're turning something off, use the value nop. For example, the following entry disables ToCs and LoTs for articles:

    article nop

Do not simply leave the word article in the file without a matching value. That'd be just begging the silly little path/value parser to get confused.

Section ToCs are further controlled by the `generate.section.toc.level` parameter. For a given section level to have a ToC, it must have both an entry in `generate.toc` and be within the range enabled by `generate.section.toc.level`.

generate.section.toc.level
integer

## generate.section.toc.level

Control depth of TOC generation in sections

    <xsl:param name="generate.section.toc.level" select="0"></xsl:param>

### Description

The `generate.section.toc.level` parameter controls the depth of section in which TOCs will be generated. Note that this is related to, but not the same as `toc.section.depth`, which controls the depth to which TOC entries will be generated in a given TOC.

If, for example, `generate.section.toc.level` is `3`, TOCs will be generated in first, second, and third level sections, but not in fourth level sections.

generate.index
boolean

## generate.index

Do you want an index?

    <xsl:param name="generate.index" select="1"></xsl:param>

### Description

Specify if an index should be generated.

index.on.type
boolean

## index.on.type

Select indexterms based on `type` attribute value

    <xsl:param name="index.on.type" select="0"></xsl:param>

### Description

If non-zero, then an `index` element that has a `type` attribute value will contain only those `indexterm` elements with a matching `type` attribute value. If an `index` has no `type` attribute or it is blank, then the index will contain all `indexterm`s in the current scope.

If `index.on.type` is zero, then the `type` attribute has no effect on selecting indexterms for an index.

For those using DocBook version 4.2 or earlier, the `type` attribute is not available for index terms. However, you can achieve the same effect by using the `role` attribute in the same manner on `indexterm` and `index`, and setting the stylesheet parameter `index.on.role` to a nonzero value.

index.on.role
boolean

## index.on.role

Select indexterms based on role value

    <xsl:param name="index.on.role" select="0"></xsl:param>

### Description

If non-zero, then an `index` element that has a `role` attribute value will contain only those `indexterm` elements with a matching role value. If an `index` has no `role` attribute or it is blank, then the index will contain all `indexterm`s in the current scope.

If `index.on.role` is zero, then the `role` attribute has no effect on selecting indexterms for an index.

If you are using DocBook version 4.3 or later, you should use the `type` attribute instead of `role` on `indexterm` and `index`, and set the `index.on.type` to a nonzero value.

## Extensions

linenumbering.everyNth
integer

## linenumbering.everyNth

Indicate which lines should be numbered

    <xsl:param name="linenumbering.everyNth" select="'5'"></xsl:param>

### Description

If line numbering is enabled, everyNth line will be numbered.

linenumbering.extension
boolean

## linenumbering.extension

Enable the line numbering extension

    <xsl:param name="linenumbering.extension" select="'1'"></xsl:param>

### Description

If true, verbatim environments (elements that have the format='linespecific' notation attribute: address, literallayout, programlisting, screen, synopsis) that specify line numbering will have, surprise, line numbers.

linenumbering.separator
string

## linenumbering.separator

Specify a separator between line numbers and lines

    <xsl:param name="linenumbering.separator" select="' '"></xsl:param>

### Description

The separator is inserted between line numbers and lines in the verbatim environment.

linenumbering.width
integer

## linenumbering.width

Indicates the width of line numbers

    <xsl:param name="linenumbering.width" select="'3'"></xsl:param>

### Description

If line numbering is enabled, line numbers will appear right justified in a field "width" characters wide.

tablecolumns.extension
boolean

## tablecolumns.extension

Enable the table columns extension function

    <xsl:param name="tablecolumns.extension" select="'1'"></xsl:param>

### Description

The table columns extension function adjusts the widths of table columns in the HTML result to more accurately reflect the specifications in the CALS table.

textinsert.extension
boolean

## textinsert.extension

Enable the textinsert extension element

    <xsl:param name="textinsert.extension" select="'1'"></xsl:param>

### Description

The textinsert extension element inserts the contents of a a file into the result tree (as text).

textdata.default.encoding
string

## textdata.default.encoding

Default encoding of external text files which are included using textdata element

    <xsl:param name="textdata.default.encoding" select="''"></xsl:param>

### Description

Default encoding of external text files which are included using textdata element. This value is used only when you do not specify encoding by appropriate attribute directly on textdata. Default encoding (empty string) is interpreted as system default encoding.

graphicsize.extension
boolean

## graphicsize.extension

Enable the getWidth()/getDepth() extension functions

    <xsl:param name="graphicsize.extension" select="1"></xsl:param>

### Description

If non-zero (and if `use.extensions` is non-zero and if you're using a processor that supports extension functions), the `getWidth` and `getDepth` functions will be used to extract image sizes from graphics.

use.extensions
boolean

## use.extensions

Enable extensions

    <xsl:param name="use.extensions" select="'0'"></xsl:param>

### Description

If non-zero, extensions may be used. Each extension is further controlled by its own parameter. But if `use.extensions` is zero, no extensions will be used.

## Automatic labelling

chapter.autolabel
boolean

## chapter.autolabel

Are chapters automatically enumerated?

    <xsl:param name="chapter.autolabel" select="1"></xsl:param>

### Description

If true (non-zero), unlabeled chapters will be enumerated.

appendix.autolabel
boolean

## appendix.autolabel

Are Appendixes automatically enumerated?

    <xsl:param name="appendix.autolabel" select="1"></xsl:param>

### Description

If true (non-zero), unlabeled appendixes will be enumerated.

part.autolabel
boolean

## part.autolabel

Are parts and references enumerated?

    <xsl:param name="part.autolabel" select="1"></xsl:param>

### Description

If true (non-zero), unlabeled parts and references will be enumerated.

preface.autolabel
boolean

## preface.autolabel

Are prefaces enumerated?

    <xsl:param name="preface.autolabel" select="0"></xsl:param>

### Description

If true (non-zero), unlabeled prefaces will be enumerated.

qandadiv.autolabel
boolean

## qandadiv.autolabel

Are divisions in QAndASets enumerated?

    <xsl:param name="qandadiv.autolabel" select="1"></xsl:param>

### Description

If true (non-zero), unlabeled qandadivs will be enumerated.

section.autolabel
boolean

## section.autolabel

Are sections enumerated?

    <xsl:param name="section.autolabel" select="0"></xsl:param>

### Description

If true (non-zero), unlabeled sections will be enumerated.

section.autolabel.max.depth
integer

## section.autolabel.max.depth

The deepest level of sections that are numbered.

    <xsl:param name="section.autolabel.max.depth" select="8"></xsl:param>

### Description

When section numbering is turned on by the `section.autolabel` parameter, then this parameter controls the depth of section nesting that is numbered. Sections nested to a level deeper than this value will not be numbered.

section.label.includes.component.label
boolean

## section.label.includes.component.label

Do section labels include the component label?

    <xsl:param name="section.label.includes.component.label" select="0"></xsl:param>

### Description

If true (non-zero), section labels are prefixed with the label of the component that contains them.

label.from.part
boolean

## label.from.part

Renumber chapters in each part?

    <xsl:param name="label.from.part" select="'0'"></xsl:param>

### Description

If `label.from.part` is non-zero, components (`chapter`s, `appendixe`s, etc.) will be numbered from 1 in each `part`. Otherwise, they will be numbered monotonically throughout each `book`.

component.label.includes.part.label
boolean

## component.label.includes.part.label

Do section labels include the component label?

    <xsl:param name="component.label.includes.part.label" select="0"></xsl:param>

### Description

If true (non-zero), labels for chapters, appendices, and other component elements are prefixed with the label of the part element that contains them. Also, the labels for formal elements such as table and figure will include the part label. If there is no part element container, then no prefix is generated.

This feature is most useful when the `label.from.part` parameter is turned on. In that case, there would be more than one chapter 1, and the extra part label prefix will identify each chapter unambiguously.

## HTML

html.base
uri

## html.base

An HTML base URI

    <xsl:param name="html.base"></xsl:param>

### Description

If html.base is set, it is used for the `BASE` element in the `HEAD` of the HTML documents. This is useful for dynamically served HTML where the base URI needs to be shifted.

html.stylesheet.type
string

## html.stylesheet.type

The type of the stylesheet used in the generated HTML

    <xsl:param name="html.stylesheet.type">text/css</xsl:param>

### Description

The type of the stylesheet to place in the HTML `link` tag.

html.stylesheet
string

## html.stylesheet

Name of the stylesheet(s) to use in the generated HTML

    <xsl:param name="html.stylesheet" select="''"></xsl:param>

### Description

The `html.stylesheet` parameter is either empty, indicating that no stylesheet `LINK` tag should be generated in the HTML output, or it is a list of one or more stylesheets.

Multiple stylesheets are space-delimited. If you need to reference a stylesheet URI that includes a space, encode it with `%20`. A seprate HTML `LINK` element will be generated for each stylesheet in the order they are listed in the parameter.

use.id.as.filename
boolean

## use.id.as.filename

Use ID value of chunk elements as the filename?

    <xsl:param name="use.id.as.filename" select="'0'"></xsl:param>

### Description

If `use.id.as.filename` is non-zero, the filename of chunk elements that have IDs will be derived from the ID value.

css.decoration
boolean

## css.decoration

Enable CSS decoration of elements

    <xsl:param name="css.decoration" select="1"></xsl:param>

### Description

If `css.decoration` is turned on, then HTML elements produced by the stylesheet may be decorated with STYLE attributes. For example, the LI tags produced for list items may include a fragment of CSS in the STYLE attribute which sets the CSS property "list-style-type".

spacing.paras
boolean

## spacing.paras

Insert additional <p> elements for spacing?

    <xsl:param name="spacing.paras" select="'0'"></xsl:param>

### Description

When non-zero, additional, empty paragraphs are inserted in several contexts (for example, around informal figures), to create a more pleasing visual appearance in many browsers.

emphasis.propagates.style
boolean

## emphasis.propagates.style

Pass emphasis role attribute through to HTML?

    <xsl:param name="emphasis.propagates.style" select="1"></xsl:param>

### Description

If true, the role attribute of `emphasis` elements will be passed through to the HTML as a class attribute on a `span` that surrounds the emphasis.

para.propagates.style
boolean

## para.propagates.style

Pass para role attribute through to HTML?

    <xsl:param name="para.propagates.style" select="1"></xsl:param>

### Description

If true, the role attribute of `para` elements will be passed through to the HTML as a class attribute on the `p` generated for the paragraph.

phrase.propagates.style
boolean

## phrase.propagates.style

Pass phrase role attribute through to HTML?

    <xsl:param name="phrase.propagates.style" select="1"></xsl:param>

### Description

If true, the role attribute of `phrase` elements will be passed through to the HTML as a class attribute on a `span` that surrounds the phrase.

entry.propagates.style
boolean

## entry.propagates.style

Pass entry role attribute through to HTML?

    <xsl:param name="entry.propagates.style" select="1"></xsl:param>

### Description

If true, the role attribute of `entry` elements will be passed through to the HTML as a class attribute on the `td` or `th` generated for the table cell.

html.longdesc
boolean

## html.longdesc

Should longdesc URIs be created?

    <xsl:param name="html.longdesc" select="1"></xsl:param>

### Description

If non-zero, HTML files will be created for the `longdesc` attribute. These files are created from the `textobject`s in `mediaobject`s and `inlinemediaobject`.

html.longdesc.link
boolean

## html.longdesc.link

Should a link to the longdesc be included in the HTML?

    <xsl:param name="html.longdesc.link" select="$html.longdesc"></xsl:param>

### Description

If non-zero, links will be created to the HTML files created for the `longdesc` attribute. It makes no sense to turn enable this option without also enabling the `$html.longdesc` parameter.

The `longdesc.link` named template is called to construct the link.

make.valid.html
boolean

## make.valid.html

Attempt to make sure the HTML output is valid HTML

    <xsl:param name="make.valid.html" select="0"></xsl:param>

### Description

If `make.valid.html` is true, the stylesheets take extra effort to ensure that the resulting HTML is valid. This may mean that some `para` tags are translated into HTML `div`s or that other substitutions occur.

This parameter is different from `html.cleanup` because it changes the resulting markup; it does not use extension functions to manipulate result-tree-fragments and is therefore applicable to any XSLT processor.

html.cleanup
boolean

## html.cleanup

Attempt to clean up the resulting HTML?

    <xsl:param name="html.cleanup" select="1"></xsl:param>

### Description

If non-zero, and if the EXSLT extensions are supported by your processor, the resulting HTML will be cleaned up. This improves the chances that the resulting HTML will be valid. It may also improve the formatting of some elements.

This parameter is different from `make.valid.html` because it uses extension functions to manipulate result-tree-fragments.

draft.mode
list

## draft.mode

Select draft mode

    <xsl:param name="draft.mode" select="'maybe'"></xsl:param>

### Description

Selects draft mode. If `draft.mode` is `yes`, the entire document will be treated as a draft. If it is `no`, the entire document will be treated as a final copy. If it is `maybe`, individual sections will be treated as draft or final independently, depending on how their `status` attribute is set.

draft.watermark.image
uri

## draft.watermark.image

The URI of the image to be used for draft watermarks

    <xsl:param name="draft.watermark.image" select="'http://docbook.sourceforge.net/release/images/draft.png'"></xsl:param>

### Description

The image to be used for draft watermarks.

generate.id.attributes

## generate.id.attributes

    <xsl:param name="generate.id.attributes" select="0"></xsl:param>

### Description

If non-zero, the HTML stylesheet will generate ID attributes on containers. For example, the markup:

    <section id="foo"><title>Some Title</title>
    <para>Some para.</para>
    </section>

might produce:

    <div class="section" id="foo">
    <h2>Some Title</h2>
    <p>Some para.</p>
    </div>

The alternative is to generate anchors:

    <div class="section">
    <h2><a name="foo"></a>Some Title</h2>
    <p>Some para.</p>
    </div>

Because the `name` attribute of the `a` element and the `id` attribute of other tags are both of type ID, producing both generates invalid documents.

As of version 1.50, you can use this switch to control which type of identifier is generated. For backwards-compatibility, generating `a` anchors is preferred.

Note: at present, this switch is incompletely implemented. Disabling ID attributes will suppress them, but enabling ID attributes will not suppress the anchors.

generate.meta.abstract
boolean

## generate.meta.abstract

Generate HTML `META` element from `abstract`?

    <xsl:param name="generate.meta.abstract" select="1"></xsl:param>

### Description

If non-zero, document abstracts will be reproduced in the HTML `HEAD` with `meta name="description" content="..."`.

## XSLT Processing

rootid
string

## rootid

Specify the root element to format

    <xsl:param name="rootid" select="''"></xsl:param>

### Description

If `rootid` is specified, it must be the value of an ID that occurs in the document being formatted. The entire document will be loaded and parsed, but formatting will begin at the element identified, rather than at the root. For example, this allows you to process only chapter 4 of a book.

Because the entire document is available to the processor, automatic numbering, cross references, and other dependencies are correctly resolved.

suppress.navigation
boolean

## suppress.navigation

Disable header and footer navigation

    <xsl:param name="suppress.navigation">0</xsl:param>

### Description

If `suppress.navigation` is turned on, header and footer navigation will be suppressed.

suppress.header.navigation
boolean

## suppress.header.navigation

Disable header navigation

    <xsl:param name="suppress.header.navigation">0</xsl:param>

### Description

If `suppress.header.navigation` is turned on, header navigation will be suppressed.

suppress.footer.navigation
boolean

## suppress.footer.navigation

Disable footer navigation

    <xsl:param name="suppress.footer.navigation">0</xsl:param>

### Description

If `suppress.footer.navigation` is turned on, footer navigation will be suppressed.

header.rule
boolean

## header.rule

Rule under headers?

    <xsl:param name="header.rule" select="1"></xsl:param>

### Description

If non-zero, a rule will be drawn below the page headers.

footer.rule
boolean

## footer.rule

Rule over footers?

    <xsl:param name="footer.rule" select="1"></xsl:param>

### Description

If non-zero, a rule will be drawn above the page footers.

## Meta/*Info

inherit.keywords
boolean

## inherit.keywords

Inherit keywords from ancestor elements?

    <xsl:param name="inherit.keywords" select="'1'"></xsl:param>

### Description

If `inherit.keywords` is non-zero, the keyword `META` for each HTML `HEAD` element will include all of the keywords from ancestral elements. Otherwise, only the keywords from the current section will be used.

make.single.year.ranges
boolean

## make.single.year.ranges

Print single-year ranges (e.g., 1998-1999)

    <xsl:param name="make.single.year.ranges" select="0"></xsl:param>

### Description

If non-zero, year ranges that span a single year will be printed in range notation (1998-1999) instead of discrete notation (1998, 1999).

make.year.ranges
boolean

## make.year.ranges

Collate copyright years into ranges?

    <xsl:param name="make.year.ranges" select="0"></xsl:param>

### Description

If non-zero, copyright years will be collated into ranges.

author.othername.in.middle
boolean

## author.othername.in.middle

Is `othername` in `author` a middle name?

    <xsl:param name="author.othername.in.middle" select="1"></xsl:param>

### Description

If true (non-zero), the `othername` of an `author` appears between the `firstname` and `surname`. Otherwise, `othername` is suppressed.

generate.legalnotice.link
boolean

## generate.legalnotice.link

TBD

    <xsl:param name="generate.legalnotice.link" select="0"></xsl:param>

### Description

TBD

## Reference Pages

funcsynopsis.decoration
boolean

## funcsynopsis.decoration

Decorate elements of a FuncSynopsis?

    <xsl:param name="funcsynopsis.decoration" select="1"></xsl:param>

### Description

If true (non-zero), elements of the FuncSynopsis will be decorated (e.g. bold or italic). The decoration is controlled by functions that can be redefined in a customization layer.

funcsynopsis.style
list
ansi
kr

## funcsynopsis.style

What style of 'FuncSynopsis' should be generated?

    <xsl:param name="funcsynopsis.style">kr</xsl:param>

### Description

If `funcsynopsis.style` is `ansi`, ANSI-style function synopses are generated for a `funcsynopsis`, otherwise K&R-style function synopses are generated.

funcsynopsis.tabular.threshold
integer

## funcsynopsis.tabular.threshold

Width beyond which a tabular presentation will be used

    <xsl:param name="funcsynopsis.tabular.threshold" select="40"></xsl:param>

### Description

If `funcsynopsis.tabular.threshold` is greater than zero then if a `funcprototype` is wider than the threshold value, it will be presented in a table.

function.parens
boolean

## function.parens

Generate parens after a function?

    <xsl:param name="function.parens">0</xsl:param>

### Description

If not 0, the formatting of a `function` element will include generated parenthesis.

refentry.generate.name
boolean

## refentry.generate.name

Output NAME header before 'RefName'(s)?

    <xsl:param name="refentry.generate.name" select="1"></xsl:param>

### Description

If true (non-zero), a "NAME" section title is output before the list of 'RefName's. This parameter and `refentry.generate.title` are mutually exclusive. This means that if you change this parameter to zero, you should set `refentry.generate.title` to 1 unless you want get quite strange output.

refentry.generate.title
boolean

## refentry.generate.title

Output title before 'RefName'(s)?

    <xsl:param name="refentry.generate.title" select="0"></xsl:param>

### Description

If true (non-zero), the reference page title or first name is output before the list of 'RefName's. This parameter and `refentry.generate.name` are mutually exclusive. This means that if you change this parameter to 1, you should set `refentry.generate.name` to 0 unless you want get quite strange output.

refentry.xref.manvolnum
boolean

## refentry.xref.manvolnum

Output `manvolnum` as part of `refentry` cross-reference?

    <xsl:param name="refentry.xref.manvolnum" select="1"></xsl:param>

### Description

if true (non-zero), the `manvolnum` is used when cross-referencing `refentry`s, either with `xref` or `citerefentry`.

citerefentry.link
boolean

## citerefentry.link

Generate URL links when cross-referencing RefEntrys?

    <xsl:param name="citerefentry.link" select="'0'"></xsl:param>

### Description

If true, a web link will be generated, presumably to an online man->HTML gateway. The text of the link is generated by the generate.citerefentry.link template.

refentry.separator
boolean

## refentry.separator

Generate a separator between consecutive RefEntry elements?

    <xsl:param name="refentry.separator" select="'1'"></xsl:param>

### Description

If true, a separator will be generated between consecutive reference pages.

## Tables

default.table.width
length

## default.table.width

The default width of tables

    <xsl:param name="default.table.width" select="''"></xsl:param>

### Description

If specified, this value will be used for the WIDTH attribute on tables that do not specify an alternate width (with the dbhtml processing instruction).

nominal.table.width
length

## nominal.table.width

The (absolute) nominal width of tables

    <xsl:param name="nominal.table.width" select="'6in'"></xsl:param>

### Description

In order to convert CALS column widths into HTML column widths, it is sometimes necessary to have an absolute table width to use for conversion of mixed absolute and relative widths. This value must be an absolute length (not a percentag).

table.borders.with.css
boolean

## table.borders.with.css

Use CSS to specify table, row, and cell borders?

    <xsl:param name="table.borders.with.css" select="0"></xsl:param>

### Description

If true (non-zero), CSS will be used to draw table borders.

table.cell.border.style

## table.cell.border.style

    <xsl:param name="table.cell.border.style" select="'solid'"></xsl:param>

### Description

FIXME:

table.cell.border.thickness

## table.cell.border.thickness

    <xsl:param name="table.cell.border.thickness" select="'0.5pt'"></xsl:param>

### Description

FIXME:

table.cell.border.color

## table.cell.border.color

    <xsl:param name="table.cell.border.color" select="''"></xsl:param>

### Description

FIXME:

table.frame.border.style

## table.frame.border.style

    <xsl:param name="table.frame.border.style" select="'solid'"></xsl:param>

### Description

FIXME:

table.frame.border.thickness

## table.frame.border.thickness

Specifies the thickness of the frame border

    <xsl:param name="table.frame.border.thickness" select="'0.5pt'"></xsl:param>

### Description

Specifies the thickness of the border on the table's frame.

table.frame.border.color

## table.frame.border.color

    <xsl:param name="table.frame.border.color" select="''"></xsl:param>

### Description

FIXME:

html.cellspacing
integer

## html.cellspacing

Default value for cellspacing in HTML tables

    <xsl:param name="html.cellspacing" select="''"></xsl:param>

### Description

If specified, this value will be used as the default cellspacing value in HTML tables.

html.cellpadding
integer

## html.cellpadding

Default value for cellpadding in HTML tables

    <xsl:param name="html.cellpadding" select="''"></xsl:param>

### Description

If specified, this value will be used as the default cellpadding value in HTML tables.

## QAndASet

qanda.defaultlabel
boolean

## qanda.defaultlabel

Sets the default for defaultlabel on QandASet.

    <xsl:param name="qanda.defaultlabel">number</xsl:param>

### Description

If no defaultlabel attribute is specified on a QandASet, this value is used. It must be one of the legal values for the defaultlabel attribute.

qanda.inherit.numeration
boolean

## qanda.inherit.numeration

Does enumeration of QandASet components inherit the numeration of parent elements?

    <xsl:param name="qanda.inherit.numeration" select="1"></xsl:param>

### Description

If true (non-zero), numbered QandADiv elements and Questions and Answers inherit the numeration of the ancestors of the QandASet.

## Linking

target.database.document
uri

## target.database.document

Name of master database file for resolving olinks

    <xsl:param name="target.database.document" select="''"></xsl:param>

### Description

To resolve olinks between documents, the stylesheets use a master database document that identifies the target datafiles for all the documents within the scope of the olinks. This parameter value is the URI of the master document to be read during processing to resolve olinks. The default value is `olinkdb.xml`.

The data structure of the file is defined in the `targetdatabase.dtd` DTD. The database file provides the high level elements to record the identifiers, locations, and relationships of documents. The cross reference data for individual documents is generally pulled into the database using system entity references or XIncludes. See also `targets.filename`.

targets.filename
string

## targets.filename

Name of cross reference targets data file

    <xsl:param name="targets.filename" select="'target.db'"></xsl:param>

### Description

In order to resolve olinks efficiently, the stylesheets can generate an external data file containing information about all potential cross reference endpoints in a document. This parameter lets you change the name of the generated file from the default name `target.db`. The name must agree with that used in the target database used to resolve olinks during processing. See also `target.database.document`.

collect.xref.targets
string

## collect.xref.targets

Controls whether cross reference data is collected

    <xsl:param name="collect.xref.targets" select="'no'"></xsl:param>

### Description

In order to resolve olinks efficiently, the stylesheets can generate an external data file containing information about all potential cross reference endpoints in a document. This parameter determines whether the collection process is run when the document is processed by the stylesheet. The default value is `no`, which means the data file is not generated during processing. The other choices are `yes`, which means the data file is created and the document is processed for output, and `only`, which means the data file is created but the document is not processed for output. See also `targets.filename`.

olink.base.uri
uri

## olink.base.uri

Base URI used in olink hrefs

    <xsl:param name="olink.base.uri" select="''"></xsl:param>

### Description

When cross reference data is collected for resolving olinks, it may be necessary to prepend a base URI to each target's href. This parameter lets you set that base URI when cross reference data is collected. This feature is needed when you want to link to a document that is processed without chunking. The output filename for such a document is not known to the XSL stylesheet; the only target information consists of fragment identifiers such as `#idref`. To enable the resolution of olinks between documents, you should pass the name of the HTML output file as the value of this parameter. Then the hrefs recorded in the cross reference data collection look like `outfile.html#idref`, which can be reached as links from other documents.

use.local.olink.style
boolean

## use.local.olink.style

Process olinks using xref style of current document

    <xsl:param name="use.local.olink.style" select="0"></xsl:param>

### Description

When cross reference data is collected for use by olinks, the data for each potential target includes one field containing a completely assembled cross reference string, as if it were an xref generated in that document. Other fields record the separate title, number, and element name of each target. When an olink is formed to a target from another document, the olink resolves to that preassembled string by default. If the `use.local.olink.style` parameter is set to non-zero, then instead the cross reference string is formed again from the target title, number, and element name, using the stylesheet processing the targeting document. Then olinks will match the xref style in the targeting document rather than in the target document. If both documents are processed with the same stylesheet, then the results will be the same.

current.docid
string

## current.docid

targetdoc identifier for the document being processed

    <xsl:param name="current.docid" select="''"></xsl:param>

### Description

When olinks between documents are resolved for HTML output, the stylesheet can compute the relative path between the current document and the target document. The stylesheet needs to know the `targetdoc` identifiers for both documents, as they appear in the `target.database.document` database file. This parameter passes to the stylesheet the targetdoc identifier of the current document, since that identifier does not appear in the document itself.

This parameter can also be used for print output. If an olink's `targetdoc` id differs from the `current.docid`, then the stylesheet can append the target document's title to the generated olink text. That identifies to the reader that the link is to a different document, not the current document. See also `olink.doctitle` to enable that feature.

olink.doctitle
string

## olink.doctitle

show the document title for external olinks?

    <xsl:param name="olink.doctitle" select="no"></xsl:param>

### Description

When olinks between documents are resolved, the generated text may not make it clear that the reference is to another document. It is possible for the stylesheets to append the other document's title to external olinks. For this to happen, two parameters must be set.

- This `olink.doctitle` parameter should be set to either `yes` or `maybe` to enable this feature.

- And you should also set the `current.docid` parameter to the document id for the document currently being processed for output.

Then if an olink's `targetdoc` id differs from the `current.docid` value, the stylesheet knows that it is a reference to another document and can append the target document's title to the generated olink text.

The text for the target document's title is copied from the olink database from the `ttl` element of the top-level `div` for that document. If that `ttl` element is missing or empty, no title is output.

The supported values for `olink.doctitle` are:

`yes`

  Always insert the title to the target document if it is not the current document.

`no`

  Never insert the title to the target document, even if requested in an `xrefstyle` attribute.

`maybe`

  Only insert the title to the target document, if requested in an `xrefstyle` attribute.

An `xrefstyle` attribute may override the global setting for individual olinks. The following values are supported in an `xrefstyle` attribute using the `select:` syntax:

`docname`

  Insert the target document name for this olink using the `docname` gentext template, but only if the value of `olink.doctitle` is not `no`.

`docnamelong`

  Insert the target document name for this olink using the `docnamelong` gentext template, but only if the value of `olink.doctitle` is not `no`.

`nodocname`

  Omit the target document name even if the value of `olink.doctitle` is `yes`.

Another way of inserting the target document name for a single olink is to employ an `xrefstyle` attribute using the `template:` syntax. The `%o` placeholder (the letter o, not zero) in such a template will be filled in with the target document's title when it is processed. This will occur regardless of the value of `olink.doctitle`.

Note that prior to version 1.66 of the XSL stylesheets, the allowed values for this parameter were 0 and 1. Those values are still supported and mapped to 'no' and 'yes', respectively.

olink.debug
boolean

## olink.debug

Turn on debugging messages for olinks

    <xsl:param name="olink.debug" select="0"></xsl:param>

### Description

If non-zero, then each olink will generate several messages about how it is being resolved during processing. This is useful when an olink does not resolve properly and the standard error messages are not sufficient to find the problem.

You may need to read through the olink XSL templates to understand the context for some of the debug messages.

## olink.properties

Properties associated with the cross-reference text of an olink.

    <xsl:attribute-set name="olink.properties">
    </xsl:attribute-set>

### Description

This attribute set is used on cross reference text from an olink. It is not applied to the optional page number or optional title of the external document.

olink.lang.fallback.sequence
string

## olink.lang.fallback.sequence

look up translated documents if olink not found?

    <xsl:param name="olink.lang.fallback.sequence" select="''"></xsl:param>

### Description

This parameter defines a list of lang values to search among to resolve olinks.

Normally an olink tries to resolve to a document in the same language as the olink itself. The language of an olink is determined by its nearest ancestor element with a `lang` attribute, otherwise the value of the `l10n.gentext.default.lang` parameter.

An olink database can contain target data for the same document in multiple languages. Each set of data has the same value for the `targetdoc` attribute in the `document` element in the database, but with a different `lang` attribute value.

When an olink is being resolved, the target is first sought in the document with the same language as the olink. If no match is found there, then this parameter is consulted for additional languages to try.

The `olink.lang.fallback.sequence` must be a whitespace separated list of lang values to try. The first one with a match in the olink database is used. The default value is empty.

For example, a document might be written in German and contain an olink with `targetdoc="adminguide"`. When the document is processed, the processor first looks for a target dataset in the olink database starting with:

    <document targetdoc="adminguide" lang="de">.

If there is no such element, then the `olink.lang.fallback.sequence` parameter is consulted. If its value is, for example, fr en, then the processor next looks for `targetdoc="adminguide" lang="fr"`, and then for `targetdoc="adminguide" lang="en"`. If there is still no match, it looks for `targetdoc="adminguide"` with no lang attribute.

This parameter is useful when a set of documents is only partially translated, or is in the process of being translated. If a target of an olink has not yet been translated, then this parameter permits the processor to look for the document in other languages. This assumes the reader would rather have a link to a document in a different language than to have a broken link.

insert.olink.page.number
string

## insert.olink.page.number

Turns page numbers in olinks on and off

    <xsl:param name="insert.olink.page.number">no</xsl:param>

### Description

The value of this parameter determines if cross references made between documents with `olink` will include page number citations. In most cases this is only applicable to references in printed output.

The parameter has three possible values.

no

  No page number references will be generated for olinks.

yes

  Page number references will be generated for all `olink` references. The style of page reference may be changed if an `xrefstyle` attribute is used.

maybe

  Page number references will not be generated for an `olink` element unless it has an `xrefstyle` attribute whose value specifies a page reference.

Olinks that point to targets within the same document are treated as `xref`s, and controlled by the `insert.xref.page.number` parameter.

Page number references for olinks to external documents can only be inserted if the information exists in the olink database. This means each olink target element (`div` or `obj`) must have a `page` attribute whose value is its page number in the target document. The XSL stylesheets are not able to extract that information during processing because pages have not yet been created in XSLT transformation. Only the XSL-FO processor knows what page each element is placed on. Therefore some postprocessing must take place to populate page numbers in the olink database.

insert.olink.pdf.frag
boolean

## insert.olink.pdf.frag

Add fragment identifiers for links into PDF files

    <xsl:param name="insert.olink.pdf.frag" select="0"></xsl:param>

### Description

The value of this parameter determines whether the cross reference URIs to PDF documents made with `olink` will include fragment identifiers.

When forming a URI to link to a PDF document, a fragment identifier (typically a '#' followed by an id value) appended to the PDF filename can be used by the PDF viewer to open the PDF file to a location within the document instead of the first page. However, not all PDF files have id values embedded in them, and not all PDF viewers can handle fragment identifiers.

If `insert.olink.pdf.frag` is set to a non-zero value, then any olink targeting a PDF file will have the fragment identifier appended to the URI. The URI is formed by concatenating the value of the `olink.base.uri` parameter, the value of the `baseuri` attribute from the `document` element in the olink database with the matching `targetdoc` value, and the value of the `href` attribute for the targeted element in the olink database. The `href` attribute contains the fragment identifier.

If `insert.olink.pdf.frag` is set to zero (the default value), then the `href` attribute from the olink database is not appended to PDF olinks, so the fragment identifier is left off. A PDF olink is any olink for which the `baseuri` attribute from the matching `document` element in the olink database ends with '.pdf'. Any other olinks will still have the fragment identifier added.

prefer.internal.olink
boolean

## prefer.internal.olink

Prefer a local olink reference to an external reference

    <xsl:param name="prefer.internal.olink" select="0"></xsl:param>

### Description

If you are re-using XML content modules in multiple documents, you may want to redirect some of your olinks. This parameter permits you to redirect an olink to the current document.

For example: you are writing documentation for a product, which includes 3 manuals: a little installation booklet (booklet.xml), a user guide (user.xml), and a reference manual (reference.xml). All 3 documents begin with the same introduction section (intro.xml) that contains a reference to the customization section (custom.xml) which is included in both user.xml and reference.xml documents.

How do you write the link to custom.xml in intro.xml so that it is interpreted correctly in all 3 documents?

- If you use xref, it will fail in user.xml.

- If you use olink (pointing to reference.xml), the reference in user.xml will point to the customization section of the reference manual, while it is actually available in user.xml.

If you set the `prefer.internal.olink` parameter to a non-zero value, then the processor will first look in the olink database for the olink's `targetptr` attribute value in document matching the `current.docid` parameter value. If it isn't found there, then it tries the document in the database with the `targetdoc` value that matches the olink's `targetdoc` attribute.

This feature permits an olink reference to resolve to the current document if there is an element with an id matching the olink's `targetptr` value. The current document's olink data must be included in the target database for this to work.

There is a potential for incorrect links if the same `id` attribute value is used for different content in different documents. Some of your olinks may be redirected to the current document when they shouldn't be. It is not possible to control individual olink instances.

link.mailto.url
string

## link.mailto.url

Mailto URL for the LINK REL=made HTML HEAD element

    <xsl:param name="link.mailto.url"></xsl:param>

### Description

If not the empty string, this address will be used for the REL=made `LINK` element in the HTML `HEAD`.

ulink.target
string

## ulink.target

The HTML anchor target for ULinks

    <xsl:param name="ulink.target" select="'_top'"></xsl:param>

### Description

If `ulink.target` is set, its value will be used for the `target` attribute on anchors generated for `ulink`s.

olink.fragid
string

## olink.fragid

Names the fragment identifier portion of an OLink resolver query

    <xsl:param name="olink.fragid" select="'fragid='"></xsl:param>

### Description

FIXME:

olink.outline.ext
string

## olink.outline.ext

The extension of OLink outline files

    <xsl:param name="olink.outline.ext" select="'.olink'"></xsl:param>

### Description

FIXME:

olink.pubid
string

## olink.pubid

Names the public identifier portion of an OLink resolver query

    <xsl:param name="olink.pubid" select="'pubid='"></xsl:param>

### Description

FIXME:

olink.sysid
string

## olink.sysid

Names the system identifier portion of an OLink resolver query

    <xsl:param name="olink.sysid" select="'sysid='"></xsl:param>

### Description

FIXME:

olink.resolver

## olink.resolver

The root name of the OLink resolver (usually a script)

    <xsl:param name="olink.resolver" select="'/cgi-bin/olink'"></xsl:param>

### Description

FIXME:

## Bibliography

biblioentry.item.separator
string

## biblioentry.item.separator

Text to separate bibliography entries

    <xsl:param name="biblioentry.item.separator">. </xsl:param>

### Description

Text to separate bibliography entries

bibliography.collection
string

## bibliography.collection

Name of the bibliography collection file

    <xsl:param name="bibliography.collection" select="'http://docbook.sourceforge.net/release/bibliography/bibliography.xml'"></xsl:param>

### Description

Maintaining bibliography entries across a set of documents is tedious, time consuming, and error prone. It makes much more sense, usually, to store all of the bibliography entries in a single place and simply extract the ones you need in each document.

That's the purpose of the `bibliography.collection` parameter. To setup a global bibliography database, follow these steps:

First, create a stand-alone bibliography document that contains all of the documents that you wish to reference. Make sure that each bibliography entry (whether you use `biblioentry` or `bibliomixed`) has an ID.

My global bibliography, `~/bibliography.xml` begins like this:

    <!DOCTYPE bibliography
      PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
      "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <bibliography><title>References</title>

    <bibliomixed id="xml-rec"><abbrev>XML 1.0</abbrev>Tim Bray,
    Jean Paoli, C. M. Sperberg-McQueen, and Eve Maler, editors.
    <citetitle><ulink url="http://www.w3.org/TR/REC-xml">Extensible Markup
    Language (XML) 1.0 Second Edition</ulink></citetitle>.
    World Wide Web Consortium, 2000.
    </bibliomixed>

    <bibliomixed id="xml-names"><abbrev>Namespaces</abbrev>Tim Bray,
    Dave Hollander,
    and Andrew Layman, editors.
    <citetitle><ulink url="http://www.w3.org/TR/REC-xml-names/">Namespaces in
    XML</ulink></citetitle>.
    World Wide Web Consortium, 1999.
    </bibliomixed>

    <!-- ... -->
    </bibliography>

When you create a bibliography in your document, simply provide empty `bibliomixed` entries for each document that you wish to cite. Make sure that these elements have the same ID as the corresponding real entry in your global bibliography.

For example:

    <bibliography><title>Bibliography</title>

    <bibliomixed id="xml-rec"/>
    <bibliomixed id="xml-names"/>
    <bibliomixed id="DKnuth86">Donald E. Knuth. <citetitle>Computers and
    Typesetting: Volume B, TeX: The Program</citetitle>. Addison-Wesley,
    1986.  ISBN 0-201-13437-3.
    </bibliomixed>
    <bibliomixed id="relaxng"/>

    </bibliography>

Note that it's perfectly acceptable to mix entries from your global bibliography with normal entries. You can use `xref` or other elements to cross-reference your bibliography entries in exactly the same way you do now.

Finally, when you are ready to format your document, simply set the `bibliography.collection` parameter (in either a customization layer or directly through your processor's interface) to point to your global bibliography.

The stylesheets will format the bibliography in your document as if all of the entries referenced appeared there literally.

bibliography.numbered
boolean

## bibliography.numbered

Should bibliography entries be numbered?

    <xsl:param name="bibliography.numbered" select="0"></xsl:param>

### Description

If non-zero bibliography entries will be numbered

## Glossary

glossterm.auto.link
boolean

## glossterm.auto.link

Generate links from glossterm to glossentry automaticaly?

    <xsl:param name="glossterm.auto.link" select="0"></xsl:param>

### Description

If true, a link will be automatically created from glossterm to glossentry for that glossary term. This is usefull when your glossterm names are consistent and you don't want to add links manually.

If there is `linkend` on `glossterm` then is used instead of autogeneration of link.

firstterm.only.link
boolean

## firstterm.only.link

Does automatic glossterm linking only apply to firstterms?

    <xsl:param name="firstterm.only.link" select="0"></xsl:param>

### Description

If true, only `firstterm`s will be automatically linked to the glossary. If glossary linking is not enabled, this parameter has no effect.

glossary.collection
string

## glossary.collection

Name of the glossary collection file

    <xsl:param name="glossary.collection" select="''"></xsl:param>

### Description

Glossaries maintained independently across a set of documents are likely to become inconsistent unless considerable effort is expended to keep them in sync. It makes much more sense, usually, to store all of the glossary entries in a single place and simply extract the ones you need in each document.

That's the purpose of the `glossary.collection` parameter. To setup a global glossary database, follow these steps:

#### Setting Up the Glossary Database

First, create a stand-alone glossary document that contains all of the entries that you wish to reference. Make sure that each glossary entry has an ID.

Here's an example glossary:

    <?xml version="1.0" encoding="utf-8"?>
    <!DOCTYPE glossary
      PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
      "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <glossary>
    <glossaryinfo>
    <editor><firstname>Eric</firstname><surname>Raymond</surname></editor>
    <title>Jargon File 4.2.3 (abridged)</title>
    <releaseinfo>Just some test data</releaseinfo>
    </glossaryinfo>

    <glossdiv><title>0</title>

    <glossentry>
    <glossterm>0</glossterm>
    <glossdef>
    <para>Numeric zero, as opposed to the letter `O' (the 15th letter of
    the English alphabet). In their unmodified forms they look a lot
    alike, and various kluges invented to make them visually distinct have
    compounded the confusion. If your zero is center-dotted and letter-O
    is not, or if letter-O looks almost rectangular but zero looks more
    like an American football stood on end (or the reverse), you're
    probably looking at a modern character display (though the dotted zero
    seems to have originated as an option on IBM 3270 controllers). If
    your zero is slashed but letter-O is not, you're probably looking at
    an old-style ASCII graphic set descended from the default typewheel on
    the venerable ASR-33 Teletype (Scandinavians, for whom /O is a letter,
    curse this arrangement). (Interestingly, the slashed zero long
    predates computers; Florian Cajori's monumental "A History of
    Mathematical Notations" notes that it was used in the twelfth and
    thirteenth centuries.) If letter-O has a slash across it and the zero
    does not, your display is tuned for a very old convention used at IBM
    and a few other early mainframe makers (Scandinavians curse <emphasis>this</emphasis>
    arrangement even more, because it means two of their letters collide).
    Some Burroughs/Unisys equipment displays a zero with a <emphasis>reversed</emphasis>
    slash. Old CDC computers rendered letter O as an unbroken oval and 0
    as an oval broken at upper right and lower left. And yet another
    convention common on early line printers left zero unornamented but
    added a tail or hook to the letter-O so that it resembled an inverted
    Q or cursive capital letter-O (this was endorsed by a draft ANSI
    standard for how to draw ASCII characters, but the final standard
    changed the distinguisher to a tick-mark in the upper-left corner).
    Are we sufficiently confused yet?</para>
    </glossdef>
    </glossentry>

    <glossentry>
    <glossterm>1TBS</glossterm>
    <glossdef>
    <para role="accidence">
    <phrase role="pronounce"></phrase>
    <phrase role="partsofspeach">n</phrase>
    </para>
    <para>The "One True Brace Style"</para>
    <glossseealso>indent style</glossseealso>
    </glossdef>
    </glossentry>

    <!-- ... -->

    </glossdiv>

    <!-- ... -->

    </glossary>

#### Marking Up Glossary Terms

That takes care of the glossary database, now you have to get the entries into your document. Unlike bibliography entries, which can be empty, creating placeholder glossary entries would be very tedious. So instead, support for `glossary.collection` relies on implicit linking.

In your source document, simply use `firstterm` and `glossterm` to identify the terms you wish to have included in the glossary. The stylesheets assume that you will either set the `baseform` attribute correctly, or that the content of the element exactly matches a term in your glossary.

If you're using a `glossary.collection`, don't make explicit links on the terms in your document.

So, in your document, you might write things like this:

    <para>This is dummy text, without any real meaning.
    The point is simply to reference glossary terms like <glossterm>0</glossterm>
    and the <firstterm baseform="1TBS">One True Brace Style (1TBS)</firstterm>.
    The <glossterm>1TBS</glossterm>, as you can probably imagine, is a nearly
    religious issue.</para>

If you set the `firstterm.only.link` parameter, only the terms marked with `firstterm` will be links. Otherwise, all the terms will be linked.

#### Marking Up the Glossary

The glossary itself has to be identified for the stylesheets. For lack of a better choice, the `role` is used. To identify the glossary as the target for automatic processing, set the role to `auto`. The title of this glossary (and any other information from the `glossaryinfo` that's rendered by your stylesheet) will be displayed, but the entries will come from the database.

Unfortunately, the glossary can't be empty, so you must put in at least one `glossentry`. The content of this entry is irrelevant, it will not be rendered:

    <glossary role="auto">
    <glossentry>
    <glossterm>Irrelevant</glossterm>
    <glossdef>
    <para>If you can see this, the document was processed incorrectly. Use
    the <parameter>glossary.collection</parameter> parameter.</para>
    </glossdef>
    </glossentry>
    </glossary>

What about glossary divisions? If your glossary database has glossary divisions and your automatic glossary contains at least one `glossdiv`, the automic glossary will have divisions. If the `glossdiv` is missing from either location, no divisions will be rendered.

Glossary entries (and divisions, if appropriate) in the glossary will occur in precisely the order they occur in your database.

#### Formatting the Document

Finally, when you are ready to format your document, simply set the `glossary.collection` parameter (in either a customization layer or directly through your processor's interface) to point to your global glossary.

The stylesheets will format the glossary in your document as if all of the entries implicilty referenced appeared there literally.

#### Limitations

Glossary cross-references within the glossary are not supported. For example, this will not work:

    <glossentry>
    <glossterm>gloss-1</glossterm>
    <glossdef><para>A description that references <glossterm>gloss-2</glossterm>.</para>
    <glossseealso>gloss-2</glossseealso>
    </glossdef>
    </glossentry>

If you put glossary cross-references in your glossary that way, you'll get the cryptic error: `Warning: glossary.collection specified, but there are 0 automatic glossaries`.

Instead, you must do two things:

1. Markup your glossary using `glossseealso`:

       <glossentry>
       <glossterm>gloss-1</glossterm>
       <glossdef><para>A description that references <glossterm>gloss-2</glossterm>.</para>
       <glossseealso>gloss-2</glossseealso>
       </glossdef>
       </glossentry>

2. Make sure there is at least one `glossterm` reference to gloss-2 in your document. The easiest way to do that is probably within a `remark` in your automatic glossary:

       <glossary role="auto">
       <remark>Make sure there's a reference to <glossterm>gloss-2</glossterm>.</remark>
       <glossentry>
       <glossterm>Irrelevant</glossterm>
       <glossdef>
       <para>If you can see this, the document was processed incorrectly. Use
       the <parameter>glossary.collection</parameter> parameter.</para>
       </glossdef>
       </glossentry>
       </glossary>

glossentry.show.acronym
list

## glossentry.show.acronym

Display `glossentry` acronyms?

    <xsl:param name="glossentry.show.acronym" select="'no'"></xsl:param>

### Description

A setting of yes means they should be displayed; no means they shouldn't. If primary is used, then they are shown as the primary text for the entry.

This setting controls both `acronym` and `abbrev` elements in the `glossentry`.

## Miscellaneous

formal.procedures
boolean

## formal.procedures

Selects formal or informal procedures

    <xsl:param name="formal.procedures" select="1"></xsl:param>

### Description

Formal procedures are numbered and always have a title.

formal.title.placement

## formal.title.placement

    <xsl:param name="formal.title.placement">
    figure before
    example before
    equation before
    table before
    procedure before
    task before
    </xsl:param>

### Description

Specifies where formal object titles should occur. For each formal object type (`figure`, `example`, `equation`, `table`, and `procedure`) you can specify either the keyword `before` or `after`.

runinhead.default.title.end.punct
string

## runinhead.default.title.end.punct

Default punctuation character on a run-in-head

    <xsl:param name="runinhead.default.title.end.punct" select="'.'"></xsl:param>

### Description

FIXME:

runinhead.title.end.punct
string

## runinhead.title.end.punct

Characters that count as punctuation on a run-in-head

    <xsl:param name="runinhead.title.end.punct" select="'.!?:'"></xsl:param>

### Description

FIXME:

show.comments
boolean

## show.comments

Display `comment` elements?

    <xsl:param name="show.comments">1</xsl:param>

### Description

If true (non-zero), comments will be displayed, otherwise they are suppressed. Comments here refers to the `comment` element, which will be renamed `remark` in DocBook V4.0, not XML comments (<-- like this -->) which are unavailable.

show.revisionflag
boolean

## show.revisionflag

Enable decoration of elements that have a revisionflag

    <xsl:param name="show.revisionflag">0</xsl:param>

### Description

If `show.revisionflag` is turned on, then the stylesheets may produce additional markup designed to allow a CSS stylesheet to highlight elements that have specific revisionflag settings.

The markup inserted will be usually be either a <span> or <div> with an appropriate `class` attribute. (The value of the class attribute will be the same as the value of the revisionflag attribute). In some contexts, for example tables, where extra markup would be structurally illegal, the class attribute will be added to the appropriate container element.

In general, the stylesheets only test for revisionflag in contexts where an importing stylesheet would have to redefine whole templates. Most of the revisionflag processing is expected to be done by another stylesheet, for example `changebars.xsl`.

shade.verbatim
boolean

## shade.verbatim

Should verbatim environments be shaded?

    <xsl:param name="shade.verbatim" select="0"></xsl:param>

### Description

FIXME:

shade.verbatim.style

## shade.verbatim.style

Properties that specify the style of shaded verbatim listings

    <xsl:attribute-set name="shade.verbatim.style">
      <xsl:attribute name="border">0</xsl:attribute>
      <xsl:attribute name="bgcolor">#E0E0E0</xsl:attribute>
    </xsl:attribute-set>

### Description

FIXME:

punct.honorific
string

## punct.honorific

Punctuation after an honorific in a personal name.

    <xsl:param name="punct.honorific" select="'.'"></xsl:param>

### Description

This parameter specifies the punctuation that should be added after an honorific in a personal name.

segmentedlist.as.table
boolean

## segmentedlist.as.table

Format segmented lists as tables?

    <xsl:param name="segmentedlist.as.table" select="0"></xsl:param>

### Description

If non-zero, `segmentedlist`s will be formatted as tables.

variablelist.as.table
boolean

## variablelist.as.table

Format `variablelist`s as tables?

    <xsl:param name="variablelist.as.table" select="0"></xsl:param>

### Description

If non-zero, `variablelist`s will be formatted as tables.

This parameter only applys to the HTML transformations. In the FO case, proper list markup is robust enough to handle the formatting. But see also `variablelist.as.blocks`.

tex.math.in.alt
string

## tex.math.in.alt

TeX notation used for equations

    <xsl:param name="tex.math.in.alt" select="''"></xsl:param>

### Description

If you want type math directly in TeX notation in equations, this parameter specifies notation used. Currently are supported two values -- `plain` and `latex`. Empty value means that you are not using TeX math at all.

Preferred way for including TeX alternative of math is inside of `textobject` element. Eg.:

    <inlineequation>
    <inlinemediaobject>
    <imageobject>
    <imagedata fileref="eq1.gif"/>
    </imageobject>
    <textobject><phrase>E=mc squared</phrase></textobject>
    <textobject role="tex"><phrase>E=mc^2</phrase></textobject>
    </inlinemediaobject>
    </inlineequation>

If you are using `graphic` element, you can store TeX inside `alt` element:

    <inlineequation>
    <alt role="tex">a^2+b^2=c^2</alt>
    <graphic fileref="a2b2c2.gif"/>
    </inlineequation>

If you want use this feature, you should process your FO with PassiveTeX, which only supports TeX math notation. When calling stylsheet, don't forget to specify also passivetex.extensions=1.

If you want equations in HTML, just process generated file `tex-math-equations.tex` by TeX or LaTeX. Then run dvi2bitmap program on result DVI file. You will get images for equations in your document.

tex.math.file
string

## tex.math.file

Name of temporary file for generating images from equations

    <xsl:param name="tex.math.file" select="'tex-math-equations.tex'"></xsl:param>

### Description

Name of auxiliary file for TeX equations. This file can be processed by dvi2bitmap to get bitmap versions of equations for HTML output.

tex.math.delims
boolean

## tex.math.delims

Should be equations outputed for processing by TeX automatically surrounded by math mode delimiters

    <xsl:param name="tex.math.delims" select="'1'"></xsl:param>

### Description

For compatibility with DSSSL based DBTeXMath from Allin Cottrell you should set this parameter to 0.

pixels.per.inch
integer

## pixels.per.inch

How many pixels are there per inch?

    <xsl:param name="pixels.per.inch" select="90"></xsl:param>

### Description

When lengths are converted to pixels, this value is used to determine the size of a pixel. The default value is taken from the XSL Recommendation.

points.per.em
number

## points.per.em

Specify the nominal size of an em-space in points

    <xsl:param name="points.per.em" select="10"></xsl:param>

### Description

FIXME:

use.svg
boolean

## use.svg

Allow SVG in the result tree?

    <xsl:param name="use.svg" select="1"></xsl:param>

### Description

If non-zero, SVG will be considered an acceptable image format. SVG is passed through to the result tree, so correct rendering of the resulting diagram depends on the formatter (FO processor or web browser) that is used to process the output from the stylesheet.

use.role.as.xrefstyle
boolean

## use.role.as.xrefstyle

Use `role` attribute for `xrefstyle` on `xref`?

    <xsl:param name="use.role.as.xrefstyle" select="1"></xsl:param>

### Description

If non-zero, the `role` attribute on `xref` will be used to select the cross reference style. The DocBook Technical Committee recently added an `xrefstyle` attribute for this purpose. If the `xrefstyle` attribute is present, `role` will be ignored, regardless of this setting.

Until an official DocBook release that includes the new attribute, this flag allows `role` to serve that purpose.

### Example

The following small stylesheet shows how to configure the stylesheets to make use of the cross reference style:

    <?xml version="1.0"?>
    <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                    version="1.0">

    <xsl:import href="../xsl/html/docbook.xsl"/>

    <xsl:output method="html"/>

    <xsl:param name="local.l10n.xml" select="document('')"/>
    <l:i18n xmlns:l="http://docbook.sourceforge.net/xmlns/l10n/1.0">
      <l:l10n xmlns:l="http://docbook.sourceforge.net/xmlns/l10n/1.0" language="en">
       <l:context name="xref">
          <l:template name="chapter" style="title" text="Chapter %n, %t"/>
          <l:template name="chapter" text="Chapter %n"/>
        </l:context>
      </l:l10n>
    </l:i18n>

    </xsl:stylesheet>

With this stylesheet, the cross references in the following document:

    <?xml version="1.0" encoding="utf-8"?>
    <!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN"
                      "http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd">
    <book id="book"><title>Book</title>

    <preface>
    <title>Preface</title>

    <para>Normal: <xref linkend="ch1"/>.</para>
    <para>Title: <xref xrefstyle="title" linkend="ch1"/>.</para>

    </preface>

    <chapter id="ch1">
    <title>First Chapter</title>

    <para>Irrelevant.</para>

    </chapter>
    </book>

will appear as:

Normal: Chapter 1.

Title: Chapter 1, First Chapter.

menuchoice.separator

## menuchoice.separator

    <xsl:param name="menuchoice.separator" select="'+'"></xsl:param>

### Description

Separator used to connect items of a `menuchoice` other than `guimenuitem` and `guisubmenu`. The latter elements are linked with `menuchoice.menu.separator`.

menuchoice.menu.separator

## menuchoice.menu.separator

    <xsl:param name="menuchoice.menu.separator" select="'->'"></xsl:param>

### Description

Separator used to connect items of a `menuchoice` with `guimenuitem` or `guisubmenu`. Other elements are linked with `menuchoice.separator`.

default.float.class
string

## default.float.class

Specifies the default float class

    <xsl:param name="default.float.class" select="'before'"></xsl:param>

### Description

FIXME:

footnote.number.format
string

## footnote.number.format

Identifies the format used for footnote numbers

    <xsl:param name="footnote.number.format" select="'1'"></xsl:param>

### Description

The `footnote.number.format` specifies the format to use for footnote numeration (1, i, I, a, or A).

table.footnote.number.format
string

## table.footnote.number.format

Identifies the format used for footnote numbers in tables

    <xsl:param name="table.footnote.number.format" select="'a'"></xsl:param>

### Description

The `table.footnote.number.format` specifies the format to use for footnote numeration (1, i, I, a, or A) in tables.

footnote.number.symbols

## footnote.number.symbols

    <xsl:param name="footnote.number.symbols" select="''"></xsl:param>

### Description

If `footnote.number.symbols` is not the empty string, footnotes will use the characters it contains as footnote symbols. For example, *&#x2020;&#x2021;&#x25CA;&#x2720; will identify footnotes with *, †, ‡, ◊, and ✠. If there are more footnotes than symbols, the stylesheets will fall back to numbered footnotes using `footnote.number.format`.

The use of symbols for footnotes depends on the ability of your processor (or browser) to render the symbols you select. Not all systems are capable of displaying the full range of Unicode characters. If the quoted characters in the preceding paragraph are not displayed properly, that's a good indicator that you may have trouble using those symbols for footnotes.

table.footnote.number.symbols

## table.footnote.number.symbols

    <xsl:param name="table.footnote.number.symbols" select="''"></xsl:param>

### Description

If `table.footnote.number.symbols` is not the empty string, table footnotes will use the characters it contains as footnote symbols. For example, *&#x2020;&#x2021;&#x25CA;&#x2720; will identify footnotes with *, †, ‡, ◊, and ✠. If there are more footnotes than symbols, the stylesheets will fall back to numbered footnotes using `table.footnote.number.format`.

The use of symbols for footnotes depends on the ability of your processor (or browser) to render the symbols you select. Not all systems are capable of displaying the full range of Unicode characters. If the quoted characters in the preceding paragraph are not displayed properly, that's a good indicator that you may have trouble using those symbols for footnotes.

xref.with.number.and.title
boolean

## xref.with.number.and.title

Use number and title in cross references

    <xsl:param name="xref.with.number.and.title" select="1"></xsl:param>

### Description

FIXME:

xref.label-page.separator
string

## xref.label-page.separator

Punctuation or space separating label from page number in xref

    <xsl:param name="xref.label-page.separator"><xsl:text> </xsl:text></xsl:param>

### Description

This parameter allows you to control the punctuation of certain types of generated cross reference text. When cross reference text is generated for an `xref` or `olink` element using an `xrefstyle` attribute that makes use of the `select:` feature, and the selected components include both label and page but no title, then the value of this parameter is inserted between label and page number in the output. If a title is included, then other separators are used.

xref.label-title.separator
string

## xref.label-title.separator

Punctuation or space separating label from title in xref

    <xsl:param name="xref.label-title.separator">: </xsl:param>

### Description

This parameter allows you to control the punctuation of certain types of generated cross reference text. When cross reference text is generated for an `xref` or `olink` element using an `xrefstyle` attribute that makes use of the `select:` feature, and the selected components include both label and title, then the value of this parameter is inserted between label and title in the output.

xref.title-page.separator
string

## xref.title-page.separator

Punctuation or space separating title from page number in xref

    <xsl:param name="xref.title-page.separator"><xsl:text> </xsl:text></xsl:param>

### Description

This parameter allows you to control the punctuation of certain types of generated cross reference text. When cross reference text is generated for an `xref` or `olink` element using an `xrefstyle` attribute that makes use of the `select:` feature, and the selected components include both title and page number, then the value of this parameter is inserted between title and page number in the output.

insert.xref.page.number
string

## insert.xref.page.number

Turns page numbers in xrefs on and off

    <xsl:param name="insert.xref.page.number">no</xsl:param>

### Description

The value of this parameter determines if cross references (`xref`s) in printed output will include page number citations. It has three possible values.

no

  No page number references will be generated.

yes

  Page number references will be generated for all `xref` elements. The style of page reference may be changed if an `xrefstyle` attribute is used.

maybe

  Page number references will not be generated for an `xref` element unless it has an `xrefstyle` attribute whose value specifies a page reference.

## Graphics

img.src.path
string

## img.src.path

Path to HTML image files

    <xsl:param name="img.src.path"></xsl:param>

### Description

Add a path prefix to each HTML `img` element's `src` attribute. This path could relative to the directory where the HTML files are created, or it could be an absolute URI. The default value is empty. Be sure to include a trailing slash if needed.

This prefix is not applied to any filerefs that start with "/" or contain "//:".

graphic.default.extension
string

## graphic.default.extension

Default extension for graphic filenames

    <xsl:param name="graphic.default.extension"></xsl:param>

### Description

If a `graphic` or `mediaobject` includes a reference to a filename that does not include an extension, and the `format` attribute is unspecified, the default extension will be used.

default.image.width
length

## default.image.width

The default width of images

    <xsl:param name="default.image.width" select="''"></xsl:param>

### Description

If specified, this value will be used for the `width` attribute on images that do not specify any viewport dimensions.

nominal.image.width
length

## nominal.image.width

The nominal image width

    <xsl:param name="nominal.image.width" select="6 * $pixels.per.inch"></xsl:param>

### Description

Graphic widths expressed as a percentage are problematic. In the following discussion, we speak of width and contentwidth, but the same issues apply to depth and contentdepth.

A width of 50% means "half of the available space for the image." That's fine. But note that in HTML, this is a dynamic property and the image size will vary if the browser window is resized.

A contentwidth of 50% means "half of the actual image width". But what does that mean if the stylesheets cannot assess the image's actual size? Treating this as a width of 50% is one possibility, but it produces behavior (dynamic scaling) that seems entirely out of character with the meaning.

Instead, the stylesheets define a `nominal.image.width` and convert percentages to actual values based on that nominal size.

nominal.image.depth
length

## nominal.image.depth

Nominal image depth

    <xsl:param name="nominal.image.depth" select="4 * $pixels.per.inch"></xsl:param>

### Description

See `nominal.image.width`.

use.embed.for.svg
boolean

## use.embed.for.svg

Use HTML `embed` for SVG?

    <xsl:param name="use.embed.for.svg" select="0"></xsl:param>

### Description

If non-zero, an `embed` element will be created for SVG figures. An `object` is always created, this parameter merely controls whether or not an additional `embed` is generated inside the `object`.

On the plus side, this may be more portable among browsers and plug-ins. On the minus side, it isn't valid HTML.

make.graphic.viewport
boolean

## make.graphic.viewport

Use tables in HTML to make viewports for graphics

    <xsl:param name="make.graphic.viewport" select="1"></xsl:param>

### Description

The HTML `img` element only supports the notion of content-area scaling; it doesn't support the distinction between a content-area and a viewport-area, so we have to make some compromises.

If `make.graphic.viewport` is non-zero, a table will be used to frame the image. This creates an effective viewport-area.

Tables and alignment don't work together, so this parameter is ignored if alignment is specified on an image.

preferred.mediaobject.role

## preferred.mediaobject.role

Select which mediaobject to use based on this value of an object's `role` attribute.

    <xsl:param name="preferred.mediaobject.role"></xsl:param>

### Description

A mediaobject may contain several objects such as imageobjects. If the parameter `use.role.for.mediaobject` is non-zero, then the `role` attribute on `imageobject`s and other objects within a `mediaobject` container will be used to select which object will be used. If one of the objects has a role value that matches the preferred.mediaobject.role parameter, then it has first priority for selection. If more than one has such a role value, the first one is used.

See the `use.role.for.mediaobject` parameter for the sequence of selection.

use.role.for.mediaobject
boolean

## use.role.for.mediaobject

Use `role` attribute value for selecting which of several objects within a mediaobject to use.

    <xsl:param name="use.role.for.mediaobject" select="1"></xsl:param>

### Description

If non-zero, the `role` attribute on `imageobject`s or other objects within a `mediaobject` container will be used to select which object will be used.

The order of selection when then parameter is non-zero is:

1. If the stylesheet parameter `preferred.mediaobject.role` has a value, then the object whose role equals that value is selected.

2. Else if an object's role attribute has a value of `html` for HTML processing or `fo` for FO output, then the first of such objects is selected.

3. Else the first suitable object is selected.

If the value of `use.role.for.mediaobject` is zero, then role attributes are not considered and the first suitable object with or without a role value is used.

ignore.image.scaling
boolean

## ignore.image.scaling

Tell the stylesheets to ignore the author's image scaling attributes

    <xsl:param name="ignore.image.scaling" select="0"></xsl:param>

### Description

If non-zero, the scaling attributes on graphics and media objects are ignored.

## Chunking

chunker.output.cdata-section-elements
string

## chunker.output.cdata-section-elements

List of elements to escape with CDATA sections
<xsl:param name="chunker.output.cdata-section-elements" select="''"/>

### Description

This parameter specifies the list of elements that should be escaped as CDATA sections by the chunking stylesheet. Not all processors support specification of this parameter.

This parameter is documented here, but the declaration is actually in the `chunker.xsl` stylesheet module.

chunker.output.doctype-public
string

## chunker.output.doctype-public

Public identifer to use in the document type of generated pages
<xsl:param name="chunker.output.doctype-public" select="''"/>

### Description

This parameter specifies the public identifier that should be used by the chunking stylesheet in the document type declaration of chunked pages. Not all processors support specification of this parameter.

This parameter is documented here, but the declaration is actually in the `chunker.xsl` stylesheet module.

chunker.output.doctype-system
uri

## chunker.output.doctype-system

System identifier to use for the document type in generated pages
<xsl:param name="chunker.output.doctype-system" select="''"/>

### Description

This parameter specifies the system identifier that should be used by the chunking stylesheet in the document type declaration of chunked pages. Not all processors support specification of this parameter.

This parameter is documented here, but the declaration is actually in the `chunker.xsl` stylesheet module.

chunker.output.encoding
string

## chunker.output.encoding

Encoding used in generated pages
<xsl:param name="chunker.output.encoding" select="'ISO-8859-1'"/>

### Description

This parameter specifies the encoding to be used in files generated by the chunking stylesheet. Not all processors support specification of this parameter.

This parameter used to be named `default.encoding`.

This parameter is documented here, but the declaration is actually in the `chunker.xsl` stylesheet module.

chunker.output.indent
string

## chunker.output.indent

Specification of indentation on generated pages
<xsl:param name="chunker.output.indent" select="'no'"/>

### Description

This parameter specifies the value of the indent specification for generated pages. Not all processors support specification of this parameter.

This parameter is documented here, but the declaration is actually in the `chunker.xsl` stylesheet module.

chunker.output.media-type
string

## chunker.output.media-type

Media type to use in generated pages
<xsl:param name="chunker.output.media-type" select="''"/>

### Description

This parameter specifies the media type that should be used by the chunking stylesheet. Not all processors support specification of this parameter.

This parameter is documented here, but the declaration is actually in the `chunker.xsl` stylesheet module.

chunker.output.method
list
html
xml

## chunker.output.method

Method used in generated pages
<xsl:param name="chunker.output.method" select="'html'"/>

### Description

This parameter specifies the output method to be used in files generated by the chunking stylesheet.

This parameter used to be named `output.method`.

This parameter is documented here, but the declaration is actually in the `chunker.xsl` stylesheet module.

chunker.output.omit-xml-declaration

## chunker.output.omit-xml-declaration

Omit-xml-declaration for generated pages
<xsl:param name="chunker.output.omit-xml-declaration" select="'no'"/>

### Description

This parameter specifies the value of the omit-xml-declaration specification for generated pages. Not all processors support specification of this parameter.

This parameter is documented here, but the declaration is actually in the `chunker.xsl` stylesheet module.

chunker.output.standalone
string

## chunker.output.standalone

Standalone declaration for generated pages
<xsl:param name="chunker.output.standalone" select="'no'"/>

### Description

This parameter specifies the value of the standalone specification for generated pages. Not all processors support specification of this parameter.

This parameter is documented here, but the declaration is actually in the `chunker.xsl` stylesheet module.

saxon.character.representation
string

## saxon.character.representation

Saxon character representation used in generated HTML pages
<xsl:param name="saxon.character.representation" select="'entity;decimal'"/>

### Description

This character representation is used in files generated by chunking stylesheet. If you want to suppress entity references for characters with direct representation in default.encoding, set this parameter to value `native`.

This parameter is documented here, but the declaration is actually in the `chunker.xsl` stylesheet module.

html.ext

## html.ext

Identifies the extension of generated HTML files

    <xsl:param name="html.ext" select="'.html'"></xsl:param>

### Description

The extension identified by `html.ext` will be used as the filename extension for chunks created by this stylesheet.

html.extra.head.links
boolean

## html.extra.head.links

Toggle extra HTML head link information

    <xsl:param name="html.extra.head.links" select="0"></xsl:param>

### Description

If non-zero, extra `link` elements will be generated in the `head` of chunked HTML files. These extra links point to chapters, appendixes, sections, etc. as supported by the Site Navigation Bar in Mozilla 1.0 (as of CR1, at least).

root.filename

## root.filename

Identifies the name of the root HTML file when chunking

    <xsl:param name="root.filename" select="'index'"></xsl:param>

### Description

The `root.filename` is the base filename for the chunk created for the root of each document processed.

base.dir

## base.dir

The base directory of chunks

    <xsl:param name="base.dir" select="''"></xsl:param>

### Description

If specified, the `base.dir` identifies the output directory for chunks. (If not specified, the output directory is system dependent.)

generate.manifest
boolean

## generate.manifest

Generate a manifest file?

    <xsl:param name="generate.manifest" select="0"></xsl:param>

### Description

If non-zero, a list of HTML files generated by the stylesheet transformation is written to the file named by the `manifest` parameter.

manifest
string

## manifest

Name of manifest file

    <xsl:param name="manifest" select="'HTML.manifest'"></xsl:param>

### Description

The name of the file to which a manifest is written (if the value of the `generate.manifest` parameter is non-zero).

manifest.in.base.dir
boolean

## manifest.in.base.dir

Should be manifest file written in $base.dir?

    <xsl:param name="manifest.in.base.dir" select="0"></xsl:param>

### Description

If non-zero manifest file and project files for HTML Help and Eclipse Help are written into `base.dir` instead of current directory.

chunk.toc
string

## chunk.toc

An explicit TOC to be used for chunking

    <xsl:param name="chunk.toc" select="''"></xsl:param>

### Description

The `chunk.toc` identifies an explicit TOC that will be used for chunking. This parameter is only used by the `chunktoc.xsl` stylesheet (and customization layers built from it).

chunk.tocs.and.lots
boolean

## chunk.tocs.and.lots

Should ToC and LoTs be in separate chunks?

    <xsl:param name="chunk.tocs.and.lots" select="0"></xsl:param>

### Description

If non-zero, ToC and LoT (List of Examples, List of Figures, etc.) will be put in a separate chunk. At the moment, this chunk is not in the normal forward/backward navigation list. Instead, a new link is added to the navigation footer.

This feature is still somewhat experimental. Feedback welcome.

chunk.separate.lots
boolean

## chunk.separate.lots

Should each LoT be in its own separate chunk?

    <xsl:param name="chunk.separate.lots" select="0"></xsl:param>

### Description

If non-zero, each of the ToC and LoTs (List of Examples, List of Figures, etc.) will be put in its own separate chunk. The title page includes generated links to each of the separate files.

This feature depends on the `chunk.lots.and.tocs` parameter also being non-zero.

chunk.section.depth
integer

## chunk.section.depth

Depth to which sections should be chunked

    <xsl:param name="chunk.section.depth" select="1"></xsl:param>

### Description

This parameter sets the depth of section chunking.

chunk.first.sections

## chunk.first.sections

Chunk the first top-level section?

    <xsl:param name="chunk.first.sections" select="0"></xsl:param>

### Description

If non-zero, a chunk will be created for the first top-level `sect1` or `section` elements in each component. Otherwise, that section will be part of the chunk for its parent.

chunk.quietly

## chunk.quietly

Omit the chunked filename messages.

    <xsl:param name="chunk.quietly" select="0"></xsl:param>

### Description

If zero (the default), the XSL processor emits a message naming each separate chunk filename as it is being output. If nonzero, then the messages are suppressed.

navig.graphics
boolean

## navig.graphics

Use graphics in navigational headers and footers?

    <xsl:param name="navig.graphics" select="0"></xsl:param>

### Description

If true (non-zero), the navigational headers and footers in chunked HTML are presented in an alternate style that uses graphical icons for Next, Previous, Up, and Home. Default graphics are provided in the distribution.

navig.graphics.extension
string

## navig.graphics.extension

Extension for navigational graphics

    <xsl:param name="navig.graphics.extension" select="'.gif'"></xsl:param>

### Description

Sets the filename extension to use on navigational graphics used in the headers and footers of chunked HTML.

navig.graphics.path
string

## navig.graphics.path

Path to navigational graphics

    <xsl:param name="navig.graphics.path">images/</xsl:param>

### Description

Sets the path, probably relative to the directory where the HTML files are created, to the navigational graphics used in the headers and footers of chunked HTML.

navig.showtitles
boolean

## navig.showtitles

Display titles in HTML headers and footers?

    <xsl:param name="navig.showtitles">1</xsl:param>

### Description

If true (non-zero), the headers and footers of chunked HTML display the titles of the next and previous chunks, along with the words 'Next' and 'Previous' (or the equivalent graphical icons if navig.graphics is true). If false (zero), then only the words 'Next' and 'Previous' (or the icons) are displayed.

## Profiling

Following parameters can be used for attribute value based profiling of your document. For more info about profiling look at http://docbook.sourceforge.net/projects/xsl/doc/tools/profiling.html.

profile.arch
string

## profile.arch

Target profile for `arch` attribute

    <xsl:param name="profile.arch" select="''"></xsl:param>

### Description

Value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.condition
string

## profile.condition

Target profile for `condition` attribute

    <xsl:param name="profile.condition" select="''"></xsl:param>

### Description

Value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.conformance
string

## profile.conformance

Target profile for `conformance` attribute

    <xsl:param name="profile.conformance" select="''"></xsl:param>

### Description

Value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.lang
string

## profile.lang

Target profile for `lang` attribute

    <xsl:param name="profile.lang" select="''"></xsl:param>

### Description

Value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.os
string

## profile.os

Target profile for `os` attribute

    <xsl:param name="profile.os" select="''"></xsl:param>

### Description

Value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.revision
string

## profile.revision

Target profile for `revision` attribute

    <xsl:param name="profile.revision" select="''"></xsl:param>

### Description

Value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.revisionflag
string

## profile.revisionflag

Target profile for `revisionflag` attribute

    <xsl:param name="profile.revisionflag" select="''"></xsl:param>

### Description

Value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.role
string

## profile.role

Target profile for `role` attribute

    <xsl:param name="profile.role" select="''"></xsl:param>

### Description

Value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

Note that `role` is often used for other purposes than profiling. For example it is commonly used to get emphasize in bold font:

    <emphasis role="bold">very important</emphasis>

If you are using `role` for these purposes do not forget to add values like `bold` to value of this parameter. If you forgot you will get document with small pieces missing which are very hard to track.

For this reason it is not recommended to use `role` attribute for profiling. You should rather use profiling specific attributes like `userlevel`, `os`, `arch`, `condition`, etc.

profile.security
string

## profile.security

Target profile for `security` attribute

    <xsl:param name="profile.security" select="''"></xsl:param>

### Description

Value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.userlevel
string

## profile.userlevel

Target profile for `userlevel` attribute

    <xsl:param name="profile.userlevel" select="''"></xsl:param>

### Description

Value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.vendor
string

## profile.vendor

Target profile for `vendor` attribute

    <xsl:param name="profile.vendor" select="''"></xsl:param>

### Description

Value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.attribute
string

## profile.attribute

Name of user-specified profiling attribute

    <xsl:param name="profile.attribute" select="''"></xsl:param>

### Description

This parameter is used in conjuction with `profile.value`.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.value
string

## profile.value

Target profile for user-specified attribute

    <xsl:param name="profile.value" select="''"></xsl:param>

### Description

When you are using this parameter you must also specify name of profiling attribute with parameter `profile.attribute`.

Value of this parameter specifies profiles which should be included in the output. You can specify multiple profiles by separating them by semicolon. You can change separator character by `profile.separator` parameter.

This parameter has effect only when you are using profiling stylesheets (`profile-docbook.xsl`, `profile-chunk.xsl`, …) instead of normal ones (`docbook.xsl`, `chunk.xsl`, …).

profile.separator
string

## profile.separator

Separator character for compound profile values

    <xsl:param name="profile.separator" select="';'"></xsl:param>

### Description

Separator character for compound profile values.

## HTML Help

htmlhelp.encoding
string

## htmlhelp.encoding

Character encoding to use in files for HTML Help compiler.

    <xsl:param name="htmlhelp.encoding" select="'iso-8859-1'"></xsl:param>

### Description

HTML Help Compiler is not UTF-8 aware, so you should always use apropriate single-byte encoding here.

htmlhelp.autolabel
boolean

## htmlhelp.autolabel

Should tree-like ToC use autonumbering feature?

    <xsl:param name="htmlhelp.autolabel" select="0"></xsl:param>

### Description

If you want to include chapter and section numbers into ToC in the left panel, set this parameter to 1.

htmlhelp.chm
string

## htmlhelp.chm

Filename of output HTML Help file.

    <xsl:param name="htmlhelp.chm" select="'htmlhelp.chm'"></xsl:param>

### Description

Change this parameter if you want different name of result CHM file than htmlhelp.chm.

htmlhelp.default.topic
string

## htmlhelp.default.topic

Name of file with default topic

    <xsl:param name="htmlhelp.default.topic" select="''"></xsl:param>

### Description

Normally first chunk of document is displayed when you open HTML Help file. If you want to display another topic, simply set its filename by this parameter.

This is useful especially if you don't generate ToC in front of your document and you also hide root element in ToC. E.g.:

    <xsl:param name="generate.book.toc" select="0"/>
    <xsl:param name="htmlhelp.hhc.show.root" select="0"/>
    <xsl:param name="htmlhelp.default.topic" select="'pr01.html'"/>

htmlhelp.display.progress
boolean

## htmlhelp.display.progress

Display compile progress?

    <xsl:param name="htmlhelp.display.progress" select="1"></xsl:param>

### Description

You can swith off display of compile progress by setting this parameter to 0.

htmlhelp.hhp
string

## htmlhelp.hhp

Filename of project file.

    <xsl:param name="htmlhelp.hhp" select="'htmlhelp.hhp'"></xsl:param>

### Description

Change this parameter if you want different name of project file than htmlhelp.hhp.

htmlhelp.hhc
string

## htmlhelp.hhc

Filename of TOC file.

    <xsl:param name="htmlhelp.hhc" select="'toc.hhc'"></xsl:param>

### Description

Change this parameter if you want different name of TOC file than toc.hhc.

htmlhelp.hhk
string

## htmlhelp.hhk

Filename of index file.

    <xsl:param name="htmlhelp.hhk" select="'index.hhk'"></xsl:param>

### Description

Change this parameter if you want different name of index file than index.hhk.

htmlhelp.hhp.tail
string

## htmlhelp.hhp.tail

Additional content for project file.

    <xsl:param name="htmlhelp.hhp.tail"></xsl:param>

### Description

If you want to include some additional parameters into project file, store appropriate part of project file into this parameter.

htmlhelp.hhp.window
string

## htmlhelp.hhp.window

Name of default window.

    <xsl:param name="htmlhelp.hhp.window" select="'Main'"></xsl:param>

### Description

Name of default window. If empty no [WINDOWS] section will be added to project file.

htmlhelp.hhp.windows
string

## htmlhelp.hhp.windows

Definition of additional windows

    <xsl:param name="htmlhelp.hhp.windows"></xsl:param>

### Description

Content of this parameter is placed at the end of [WINDOWS] section of project file. You can use it for defining your own addtional windows.

htmlhelp.enhanced.decompilation
boolean

## htmlhelp.enhanced.decompilation

Allow enhanced decompilation of CHM?

    <xsl:param name="htmlhelp.enhanced.decompilation" select="0"></xsl:param>

### Description

When set to 1 this parameter enables enhanced decompilation of CHM.

htmlhelp.enumerate.images
boolean

## htmlhelp.enumerate.images

Should be paths to all used images added to project file?

    <xsl:param name="htmlhelp.enumerate.images" select="0"></xsl:param>

### Description

You should turn on this flag, if you insert images into your documents as external binary entities or if you are using absolute path in image names.

htmlhelp.force.map.and.alias
boolean

## htmlhelp.force.map.and.alias

Should be [MAP] and [ALIAS] section added to project file unconditionaly?

    <xsl:param name="htmlhelp.force.map.and.alias" select="0"></xsl:param>

### Description

You should turn on this flag, if you have your own `alias.h` and `contex.h` files and you want include reference to them in project file.

htmlhelp.map.file
string

## htmlhelp.map.file

Filename of map file.

    <xsl:param name="htmlhelp.map.file" select="'context.h'"></xsl:param>

### Description

Change this parameter if you want different name of map file than `context.h`.

htmlhelp.alias.file
string

## htmlhelp.alias.file

Filename of map file.

    <xsl:param name="htmlhelp.alias.file" select="'alias.h'"></xsl:param>

### Description

Change this parameter if you want different name of map file than `alias.h`.

htmlhelp.hhc.section.depth
integer

## htmlhelp.hhc.section.depth

Depth of TOC for sections in a left pane.

    <xsl:param name="htmlhelp.hhc.section.depth" select="5"></xsl:param>

### Description

Change this parameter if you want shallower ToC in a left pane of HTML Help viewer.

htmlhelp.hhc.show.root
boolean

## htmlhelp.hhc.show.root

Should be entry for root element shown in ToC?

    <xsl:param name="htmlhelp.hhc.show.root" select="1"></xsl:param>

### Description

If set to 0, there will be no entry for root element in ToC. This is useful when you want provide user with expanded ToC as a default.

htmlhelp.hhc.folders.instead.books

## htmlhelp.hhc.folders.instead.books

    <xsl:param name="htmlhelp.hhc.folders.instead.books" select="1"></xsl:param>

### Description

This parameter controls whether there should be folder-like icons (1) or book-like icons (0) in ToC. If you want to use folder-like icons you must swith off binary ToC using `htmlhelp.hhc.binary`.

htmlhelp.hhc.binary

## htmlhelp.hhc.binary

    <xsl:param name="htmlhelp.hhc.binary" select="1"></xsl:param>

### Description

This parametr controls whether binary TOC will be generated. You must create binary TOC if you want to add Prev/Next buttons to toolbar (which is default behaviour). Files with binary TOC can't be merged.

htmlhelp.hhc.width
integer

## htmlhelp.hhc.width

Width of navigation (ToC) pane

    <xsl:param name="htmlhelp.hhc.width"></xsl:param>

### Description

This parameter specifies width of ToC pane in pixels.

htmlhelp.title
string

## htmlhelp.title

Title of HTML Help

    <xsl:param name="htmlhelp.title" select="''"></xsl:param>

### Description

Content of this parameter will be used as a title for generated HTML Help. If empty, title will be automatically taken from document.

htmlhelp.show.menu
boolean

## htmlhelp.show.menu

Should be menu shown?

    <xsl:param name="htmlhelp.show.menu" select="0"></xsl:param>

### Description

If you want application menu in your HTML Help file, turn this parameter to 1.

htmlhelp.show.toolbar.text
boolean

## htmlhelp.show.toolbar.text

Show text under toolbar buttons?

    <xsl:param name="htmlhelp.show.toolbar.text" select="1"></xsl:param>

### Description

You can switch off display of texts under toolbar buttons by setting this parameter to 0.

htmlhelp.show.advanced.search
boolean

## htmlhelp.show.advanced.search

Should be advanced search available?

    <xsl:param name="htmlhelp.show.advanced.search" select="0"></xsl:param>

### Description

If you want advanced search features in your help, turn this parameter to 1.

htmlhelp.show.favorities
boolean

## htmlhelp.show.favorities

Should be favorities tab shown?

    <xsl:param name="htmlhelp.show.favorities" select="0"></xsl:param>

### Description

If you want favorities tab shown in your help, turn this parameter to 1.

htmlhelp.button.hideshow
boolean

## htmlhelp.button.hideshow

Should be Hide/Show button shown?

    <xsl:param name="htmlhelp.button.hideshow" select="1"></xsl:param>

### Description

If you want Hide/Show button shown on toolbar, turn this parameter to 1.

htmlhelp.button.back
boolean

## htmlhelp.button.back

Should be Back button shown?

    <xsl:param name="htmlhelp.button.back" select="1"></xsl:param>

### Description

If you want Back button shown on toolbar, turn this parameter to 1.

htmlhelp.button.forward
boolean

## htmlhelp.button.forward

Should be Forward button shown?

    <xsl:param name="htmlhelp.button.forward" select="0"></xsl:param>

### Description

If you want Forward button shown on toolbar, turn this parameter to 1.

htmlhelp.button.stop
boolean

## htmlhelp.button.stop

Should be Stop button shown?

    <xsl:param name="htmlhelp.button.stop" select="0"></xsl:param>

### Description

If you want Stop button shown on toolbar, turn this parameter to 1.

htmlhelp.button.refresh
boolean

## htmlhelp.button.refresh

Should be Refresh button shown?

    <xsl:param name="htmlhelp.button.refresh" select="0"></xsl:param>

### Description

If you want Refresh button shown on toolbar, turn this parameter to 1.

htmlhelp.button.home
boolean

## htmlhelp.button.home

Should be Home button shown?

    <xsl:param name="htmlhelp.button.home" select="0"></xsl:param>

### Description

If you want Home button shown on toolbar, turn this parameter to 1.

htmlhelp.button.home.url
string

## htmlhelp.button.home.url

URL address of page accessible by Home button

    <xsl:param name="htmlhelp.button.home.url"></xsl:param>

### Description

URL address of page accessible by Home button.

htmlhelp.button.options
boolean

## htmlhelp.button.options

Should be Options button shown?

    <xsl:param name="htmlhelp.button.options" select="1"></xsl:param>

### Description

If you want Options button shown on toolbar, turn this parameter to 1.

htmlhelp.button.print
boolean

## htmlhelp.button.print

Should be Print button shown?

    <xsl:param name="htmlhelp.button.print" select="1"></xsl:param>

### Description

If you want Print button shown on toolbar, turn this parameter to 1.

htmlhelp.button.locate
boolean

## htmlhelp.button.locate

Should be Locate button shown?

    <xsl:param name="htmlhelp.button.locate" select="0"></xsl:param>

### Description

If you want Locate button shown on toolbar, turn this parameter to 1.

htmlhelp.button.jump1
boolean

## htmlhelp.button.jump1

Should be Jump1 button shown?

    <xsl:param name="htmlhelp.button.jump1" select="0"></xsl:param>

### Description

If you want Jump1 button shown on toolbar, turn this parameter to 1.

htmlhelp.button.jump1.url
string

## htmlhelp.button.jump1.url

URL address of page accessible by Jump1 button

    <xsl:param name="htmlhelp.button.jump1.url"></xsl:param>

### Description

URL address of page accessible by Jump1 button.

htmlhelp.button.jump1.title
string

## htmlhelp.button.jump1.title

Title of Jump1 button

    <xsl:param name="htmlhelp.button.jump1.title" select="'User1'"></xsl:param>

### Description

Title of Jump1 button.

htmlhelp.button.jump2
boolean

## htmlhelp.button.jump2

Should be Jump2 button shown?

    <xsl:param name="htmlhelp.button.jump2" select="0"></xsl:param>

### Description

If you want Jump2 button shown on toolbar, turn this parameter to 1.

htmlhelp.button.jump2.url
string

## htmlhelp.button.jump2.url

URL address of page accessible by Jump2 button

    <xsl:param name="htmlhelp.button.jump2.url"></xsl:param>

### Description

URL address of page accessible by Jump2 button.

htmlhelp.button.jump2.title
string

## htmlhelp.button.jump2.title

Title of Jump2 button

    <xsl:param name="htmlhelp.button.jump2.title" select="'User2'"></xsl:param>

### Description

Title of Jump2 button.

htmlhelp.button.next
boolean

## htmlhelp.button.next

Should be Next button shown?

    <xsl:param name="htmlhelp.button.next" select="1"></xsl:param>

### Description

If you want Next button shown on toolbar, turn this parameter to 1.

htmlhelp.button.prev
boolean

## htmlhelp.button.prev

Should be Prev button shown?

    <xsl:param name="htmlhelp.button.prev" select="1"></xsl:param>

### Description

If you want Prev button shown on toolbar, turn this parameter to 1.

htmlhelp.button.zoom
boolean

## htmlhelp.button.zoom

Should be Zoom button shown?

    <xsl:param name="htmlhelp.button.zoom" select="0"></xsl:param>

### Description

If you want Zoom button shown on toolbar, turn this parameter to 1.

htmlhelp.remember.window.position
boolean

## htmlhelp.remember.window.position

Remember help window position?

    <xsl:param name="htmlhelp.remember.window.position" select="0"></xsl:param>

### Description

To remember help window position between starts set this parameter to 1.

htmlhelp.window.geometry
string

## htmlhelp.window.geometry

Set initial geometry of help window

    <xsl:param name="htmlhelp.window.geometry"></xsl:param>

### Description

This parameter specifies initial position of help window. E.g.

    <xsl:param name="htmlhelp.window.geometry">[160,64,992,704]</xsl:param>

htmlhelp.use.hhk
boolean

## htmlhelp.use.hhk

Should be index built using HHK file?

    <xsl:param name="htmlhelp.use.hhk" select="0"></xsl:param>

### Description

If non-zero, index is created using HHK file. This provides some new features.

htmlhelp.only
boolean

## htmlhelp.only

Should be only project files generated?

    <xsl:param name="htmlhelp.only" select="0"></xsl:param>

### Description

If you want to play with various HTML Help parameters and you don't need to regenerate all HTML files, you can set this parameter to 1. This setting will not process whole document, only project files (hhp, hhc, hhk,...) will be generated.

## Eclipse Help Platform

eclipse.autolabel
boolean

## eclipse.autolabel

Should tree-like ToC use autonumbering feature?

    <xsl:param name="eclipse.autolabel" select="0"></xsl:param>

### Description

If you want to include chapter and section numbers into ToC in the left panel, set this parameter to 1.

eclipse.plugin.name
string

## eclipse.plugin.name

Eclipse Help plugin name

    <xsl:param name="eclipse.plugin.name">DocBook Online Help Sample</xsl:param>

### Description

Eclipse Help plugin name.

eclipse.plugin.id
string

## eclipse.plugin.id

Eclipse Help plugin id

    <xsl:param name="eclipse.plugin.id">com.example.help</xsl:param>

### Description

Eclipse Help plugin id. You should change this id to something unique for each help.

eclipse.plugin.provider
string

## eclipse.plugin.provider

Eclipse Help plugin provider name

    <xsl:param name="eclipse.plugin.provider">Example provider</xsl:param>

### Description

Eclipse Help plugin provider name.

## Localization

l10n.gentext.language
string

## l10n.gentext.language

Sets the gentext language

    <xsl:param name="l10n.gentext.language" select="''"></xsl:param>

### Description

If this parameter is set to any value other than the empty string, its value will be used as the value for the language when generating text. Setting `l10n.gentext.language` overrides any settings within the document being formatted.

It's much more likely that you might want to set the `l10n.gentext.default.language` parameter.

l10n.gentext.default.language
string

## l10n.gentext.default.language

Sets the default language for generated text

    <xsl:param name="l10n.gentext.default.language" select="'en'"></xsl:param>

### Description

The value of the `l10n.gentext.default.language` parameter is used as the language for generated text if no setting is provided in the source document.

l10n.gentext.use.xref.language
boolean

## l10n.gentext.use.xref.language

Use the language of target when generating cross-reference text?

    <xsl:param name="l10n.gentext.use.xref.language" select="0"></xsl:param>

### Description

If non-zero, the language of the target will be used when generating cross reference text. Usually, the current language is used when generating text (that is, the language of the element that contains the cross-reference element). But setting this parameter allows the language of the element pointed to to control the generated text.

Consider the following example:

    <para lang="en">See also <xref linkend="chap3"/>.</para>

Suppose that Chapter 3 happens to be written in German. If `l10n.gentext.use.xref.language` is non-zero, the resulting text will be something like this:

> See also Kapital 3.

Where the more traditional rendering would be:

> See also Chapter 3.

## The Stylesheet

The `param.xsl` stylesheet is just a wrapper around all these parameters.

    <!-- This file is generated from param.xweb; do not edit this file! -->

    <xsl:stylesheet exclude-result-prefixes="src" version="1.0">

    <!-- ********************************************************************
         param.xml,v 1.1 2005/08/13 02:18:18 bosborne Exp
         ********************************************************************

         This file is part of the XSL DocBook Stylesheet distribution.
         See ../README or http://nwalsh.com/docbook/xsl/ for copyright
         and other information.

         ******************************************************************** -->

    <src:fragref linkend="admon.graphics.extension.frag"></src:fragref>
    <src:fragref linkend="admon.graphics.frag"></src:fragref>
    <src:fragref linkend="admon.graphics.path.frag"></src:fragref>
    <src:fragref linkend="admon.style.frag"></src:fragref>
    <src:fragref linkend="admon.textlabel.frag"></src:fragref>
    <src:fragref linkend="annotate.toc.frag"></src:fragref>
    <src:fragref linkend="appendix.autolabel.frag"></src:fragref>
    <src:fragref linkend="author.othername.in.middle.frag"></src:fragref>
    <src:fragref linkend="autotoc.label.separator.frag"></src:fragref>
    <src:fragref linkend="base.dir.frag"></src:fragref>
    <src:fragref linkend="biblioentry.item.separator.frag"></src:fragref>
    <src:fragref linkend="bibliography.collection.frag"></src:fragref>
    <src:fragref linkend="bibliography.numbered.frag"></src:fragref>
    <src:fragref linkend="bridgehead.in.toc.frag"></src:fragref>
    <src:fragref linkend="callout.defaultcolumn.frag"></src:fragref>
    <src:fragref linkend="callout.graphics.extension.frag"></src:fragref>
    <src:fragref linkend="callout.graphics.frag"></src:fragref>
    <src:fragref linkend="callout.graphics.number.limit.frag"></src:fragref>
    <src:fragref linkend="callout.graphics.path.frag"></src:fragref>
    <src:fragref linkend="callout.list.table.frag"></src:fragref>
    <src:fragref linkend="callout.unicode.frag"></src:fragref>
    <src:fragref linkend="callout.unicode.number.limit.frag"></src:fragref>
    <src:fragref linkend="callout.unicode.start.character.frag"></src:fragref>
    <src:fragref linkend="callouts.extension.frag"></src:fragref>
    <src:fragref linkend="chapter.autolabel.frag"></src:fragref>
    <src:fragref linkend="chunk.first.sections.frag"></src:fragref>
    <src:fragref linkend="chunk.quietly.frag"></src:fragref>
    <src:fragref linkend="chunk.section.depth.frag"></src:fragref>
    <src:fragref linkend="chunk.toc.frag"></src:fragref>
    <src:fragref linkend="chunk.tocs.and.lots.frag"></src:fragref>
    <src:fragref linkend="chunk.separate.lots.frag"></src:fragref>
    <src:fragref linkend="citerefentry.link.frag"></src:fragref>
    <src:fragref linkend="collect.xref.targets.frag"></src:fragref>
    <src:fragref linkend="component.label.includes.part.label.frag"></src:fragref>
    <src:fragref linkend="css.decoration.frag"></src:fragref>
    <src:fragref linkend="current.docid.frag"></src:fragref>
    <src:fragref linkend="default.float.class.frag"></src:fragref>
    <src:fragref linkend="default.image.width.frag"></src:fragref>
    <src:fragref linkend="default.table.width.frag"></src:fragref>
    <src:fragref linkend="draft.mode.frag"></src:fragref>
    <src:fragref linkend="draft.watermark.image.frag"></src:fragref>
    <src:fragref linkend="ebnf.table.bgcolor.frag"></src:fragref>
    <src:fragref linkend="ebnf.table.border.frag"></src:fragref>
    <src:fragref linkend="ebnf.assignment.frag"></src:fragref>
    <src:fragref linkend="ebnf.statement.terminator.frag"></src:fragref>
    <src:fragref linkend="eclipse.autolabel.frag"></src:fragref>
    <src:fragref linkend="eclipse.plugin.name.frag"></src:fragref>
    <src:fragref linkend="eclipse.plugin.id.frag"></src:fragref>
    <src:fragref linkend="eclipse.plugin.provider.frag"></src:fragref>
    <src:fragref linkend="emphasis.propagates.style.frag"></src:fragref>
    <src:fragref linkend="entry.propagates.style.frag"></src:fragref>
    <src:fragref linkend="firstterm.only.link.frag"></src:fragref>
    <src:fragref linkend="footer.rule.frag"></src:fragref>
    <src:fragref linkend="footnote.number.format.frag"></src:fragref>
    <src:fragref linkend="footnote.number.symbols.frag"></src:fragref>
    <src:fragref linkend="formal.procedures.frag"></src:fragref>
    <src:fragref linkend="formal.title.placement.frag"></src:fragref>
    <src:fragref linkend="funcsynopsis.decoration.frag"></src:fragref>
    <src:fragref linkend="funcsynopsis.style.frag"></src:fragref>
    <src:fragref linkend="funcsynopsis.tabular.threshold.frag"></src:fragref>
    <src:fragref linkend="function.parens.frag"></src:fragref>
    <src:fragref linkend="generate.id.attributes.frag"></src:fragref>
    <src:fragref linkend="generate.index.frag"></src:fragref>
    <src:fragref linkend="generate.legalnotice.link.frag"></src:fragref>
    <src:fragref linkend="generate.manifest.frag"></src:fragref>
    <src:fragref linkend="generate.meta.abstract.frag"></src:fragref>
    <src:fragref linkend="generate.section.toc.level.frag"></src:fragref>
    <src:fragref linkend="generate.toc.frag"></src:fragref>
    <src:fragref linkend="glossary.collection.frag"></src:fragref>
    <src:fragref linkend="glossentry.show.acronym.frag"></src:fragref>
    <src:fragref linkend="glossterm.auto.link.frag"></src:fragref>
    <src:fragref linkend="graphic.default.extension.frag"></src:fragref>
    <src:fragref linkend="graphicsize.extension.frag"></src:fragref>
    <src:fragref linkend="header.rule.frag"></src:fragref>
    <src:fragref linkend="html.base.frag"></src:fragref>
    <src:fragref linkend="html.cellpadding.frag"></src:fragref>
    <src:fragref linkend="html.cellspacing.frag"></src:fragref>
    <src:fragref linkend="html.cleanup.frag"></src:fragref>
    <src:fragref linkend="html.ext.frag"></src:fragref>
    <src:fragref linkend="html.extra.head.links.frag"></src:fragref>
    <src:fragref linkend="html.longdesc.frag"></src:fragref>
    <src:fragref linkend="html.longdesc.link.frag"></src:fragref>
    <src:fragref linkend="html.stylesheet.frag"></src:fragref>
    <src:fragref linkend="html.stylesheet.type.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.alias.file.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.autolabel.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.back.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.forward.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.hideshow.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.home.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.home.url.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.jump1.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.jump1.title.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.jump1.url.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.jump2.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.jump2.title.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.jump2.url.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.locate.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.next.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.options.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.prev.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.print.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.refresh.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.stop.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.button.zoom.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.chm.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.default.topic.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.display.progress.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.encoding.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.enhanced.decompilation.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.enumerate.images.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.force.map.and.alias.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.hhc.binary.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.hhc.folders.instead.books.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.hhc.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.hhc.section.depth.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.hhc.show.root.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.hhc.width.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.hhk.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.hhp.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.hhp.tail.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.hhp.window.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.hhp.windows.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.map.file.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.only.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.remember.window.position.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.show.advanced.search.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.show.favorities.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.show.menu.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.show.toolbar.text.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.title.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.use.hhk.frag"></src:fragref>
    <src:fragref linkend="htmlhelp.window.geometry.frag"></src:fragref>
    <src:fragref linkend="img.src.path.frag"></src:fragref>
    <src:fragref linkend="index.on.role.frag"></src:fragref>
    <src:fragref linkend="index.on.type.frag"></src:fragref>
    <src:fragref linkend="ignore.image.scaling.frag"></src:fragref>
    <src:fragref linkend="inherit.keywords.frag"></src:fragref>
    <src:fragref linkend="l10n.gentext.default.language.frag"></src:fragref>
    <src:fragref linkend="l10n.gentext.language.frag"></src:fragref>
    <src:fragref linkend="l10n.gentext.use.xref.language.frag"></src:fragref>
    <src:fragref linkend="label.from.part.frag"></src:fragref>
    <src:fragref linkend="linenumbering.everyNth.frag"></src:fragref>
    <src:fragref linkend="linenumbering.extension.frag"></src:fragref>
    <src:fragref linkend="linenumbering.separator.frag"></src:fragref>
    <src:fragref linkend="linenumbering.width.frag"></src:fragref>
    <src:fragref linkend="link.mailto.url.frag"></src:fragref>
    <src:fragref linkend="make.graphic.viewport.frag"></src:fragref>
    <src:fragref linkend="make.single.year.ranges.frag"></src:fragref>
    <src:fragref linkend="make.valid.html.frag"></src:fragref>
    <src:fragref linkend="make.year.ranges.frag"></src:fragref>
    <src:fragref linkend="manifest.frag"></src:fragref>
    <src:fragref linkend="manifest.in.base.dir.frag"></src:fragref>
    <src:fragref linkend="manual.toc.frag"></src:fragref>
    <src:fragref linkend="menuchoice.menu.separator.frag"></src:fragref>
    <src:fragref linkend="menuchoice.separator.frag"></src:fragref>
    <src:fragref linkend="navig.graphics.extension.frag"></src:fragref>
    <src:fragref linkend="navig.graphics.frag"></src:fragref>
    <src:fragref linkend="navig.graphics.path.frag"></src:fragref>
    <src:fragref linkend="navig.showtitles.frag"></src:fragref>
    <src:fragref linkend="nominal.image.depth.frag"></src:fragref>
    <src:fragref linkend="nominal.image.width.frag"></src:fragref>
    <src:fragref linkend="nominal.table.width.frag"></src:fragref>
    <src:fragref linkend="olink.base.uri.frag"></src:fragref>
    <src:fragref linkend="olink.debug.frag"></src:fragref>
    <src:fragref linkend="olink.properties.frag"></src:fragref>
    <src:fragref linkend="insert.olink.page.number.frag"></src:fragref>
    <src:fragref linkend="insert.olink.pdf.frag.frag"></src:fragref>
    <src:fragref linkend="prefer.internal.olink.frag"></src:fragref>
    <src:fragref linkend="olink.lang.fallback.sequence.frag"></src:fragref>
    <src:fragref linkend="olink.doctitle.frag"></src:fragref>
    <src:fragref linkend="olink.fragid.frag"></src:fragref>
    <src:fragref linkend="olink.outline.ext.frag"></src:fragref>
    <src:fragref linkend="olink.pubid.frag"></src:fragref>
    <src:fragref linkend="olink.resolver.frag"></src:fragref>
    <src:fragref linkend="olink.sysid.frag"></src:fragref>
    <src:fragref linkend="para.propagates.style.frag"></src:fragref>
    <src:fragref linkend="part.autolabel.frag"></src:fragref>
    <src:fragref linkend="phrase.propagates.style.frag"></src:fragref>
    <src:fragref linkend="pixels.per.inch.frag"></src:fragref>
    <src:fragref linkend="points.per.em.frag"></src:fragref>
    <src:fragref linkend="preface.autolabel.frag"></src:fragref>
    <src:fragref linkend="preferred.mediaobject.role.frag"></src:fragref>
    <src:fragref linkend="process.empty.source.toc.frag"></src:fragref>
    <src:fragref linkend="process.source.toc.frag"></src:fragref>
    <src:fragref linkend="profile.arch.frag"></src:fragref>
    <src:fragref linkend="profile.attribute.frag"></src:fragref>
    <src:fragref linkend="profile.condition.frag"></src:fragref>
    <src:fragref linkend="profile.conformance.frag"></src:fragref>
    <src:fragref linkend="profile.lang.frag"></src:fragref>
    <src:fragref linkend="profile.os.frag"></src:fragref>
    <src:fragref linkend="profile.revision.frag"></src:fragref>
    <src:fragref linkend="profile.revisionflag.frag"></src:fragref>
    <src:fragref linkend="profile.role.frag"></src:fragref>
    <src:fragref linkend="profile.security.frag"></src:fragref>
    <src:fragref linkend="profile.separator.frag"></src:fragref>
    <src:fragref linkend="profile.userlevel.frag"></src:fragref>
    <src:fragref linkend="profile.value.frag"></src:fragref>
    <src:fragref linkend="profile.vendor.frag"></src:fragref>
    <src:fragref linkend="punct.honorific.frag"></src:fragref>
    <src:fragref linkend="qanda.defaultlabel.frag"></src:fragref>
    <src:fragref linkend="qanda.inherit.numeration.frag"></src:fragref>
    <src:fragref linkend="qandadiv.autolabel.frag"></src:fragref>
    <src:fragref linkend="refentry.generate.name.frag"></src:fragref>
    <src:fragref linkend="refentry.generate.title.frag"></src:fragref>
    <src:fragref linkend="refentry.separator.frag"></src:fragref>
    <src:fragref linkend="refentry.xref.manvolnum.frag"></src:fragref>
    <src:fragref linkend="root.filename.frag"></src:fragref>
    <src:fragref linkend="rootid.frag"></src:fragref>
    <src:fragref linkend="runinhead.default.title.end.punct.frag"></src:fragref>
    <src:fragref linkend="runinhead.title.end.punct.frag"></src:fragref>
    <src:fragref linkend="section.autolabel.frag"></src:fragref>
    <src:fragref linkend="section.autolabel.max.depth.frag"></src:fragref>
    <src:fragref linkend="section.label.includes.component.label.frag"></src:fragref>
    <src:fragref linkend="segmentedlist.as.table.frag"></src:fragref>
    <src:fragref linkend="shade.verbatim.frag"></src:fragref>
    <src:fragref linkend="shade.verbatim.style.frag"></src:fragref>
    <src:fragref linkend="show.comments.frag"></src:fragref>
    <src:fragref linkend="show.revisionflag.frag"></src:fragref>
    <src:fragref linkend="spacing.paras.frag"></src:fragref>
    <src:fragref linkend="suppress.footer.navigation.frag"></src:fragref>
    <src:fragref linkend="suppress.header.navigation.frag"></src:fragref>
    <src:fragref linkend="suppress.navigation.frag"></src:fragref>
    <src:fragref linkend="table.borders.with.css.frag"></src:fragref>
    <src:fragref linkend="table.cell.border.color.frag"></src:fragref>
    <src:fragref linkend="table.cell.border.style.frag"></src:fragref>
    <src:fragref linkend="table.cell.border.thickness.frag"></src:fragref>
    <src:fragref linkend="table.footnote.number.format.frag"></src:fragref>
    <src:fragref linkend="table.footnote.number.symbols.frag"></src:fragref>
    <src:fragref linkend="table.frame.border.color.frag"></src:fragref>
    <src:fragref linkend="table.frame.border.style.frag"></src:fragref>
    <src:fragref linkend="table.frame.border.thickness.frag"></src:fragref>
    <src:fragref linkend="tablecolumns.extension.frag"></src:fragref>
    <src:fragref linkend="target.database.document.frag"></src:fragref>
    <src:fragref linkend="targets.filename.frag"></src:fragref>
    <src:fragref linkend="textdata.default.encoding.frag"></src:fragref>
    <src:fragref linkend="tex.math.delims.frag"></src:fragref>
    <src:fragref linkend="tex.math.file.frag"></src:fragref>
    <src:fragref linkend="tex.math.in.alt.frag"></src:fragref>
    <src:fragref linkend="textinsert.extension.frag"></src:fragref>
    <src:fragref linkend="toc.list.type.frag"></src:fragref>
    <src:fragref linkend="toc.section.depth.frag"></src:fragref>
    <src:fragref linkend="toc.max.depth.frag"></src:fragref>
    <src:fragref linkend="ulink.target.frag"></src:fragref>
    <src:fragref linkend="use.embed.for.svg.frag"></src:fragref>
    <src:fragref linkend="use.extensions.frag"></src:fragref>
    <src:fragref linkend="use.id.as.filename.frag"></src:fragref>
    <src:fragref linkend="use.local.olink.style.frag"></src:fragref>
    <src:fragref linkend="use.role.as.xrefstyle.frag"></src:fragref>
    <src:fragref linkend="use.role.for.mediaobject.frag"></src:fragref>
    <src:fragref linkend="use.svg.frag"></src:fragref>
    <src:fragref linkend="variablelist.as.table.frag"></src:fragref>
    <src:fragref linkend="xref.with.number.and.title.frag"></src:fragref>
    <src:fragref linkend="xref.label-title.separator.frag"></src:fragref>
    <src:fragref linkend="xref.label-page.separator.frag"></src:fragref>
    <src:fragref linkend="xref.title-page.separator.frag"></src:fragref>
    <src:fragref linkend="insert.xref.page.number.frag"></src:fragref>

    </xsl:stylesheet>